checkin of last config before removal on farbror

This commit is contained in:
cd-builder user 2008-12-25 23:51:30 +00:00
parent 9cdda77db2
commit 6d2a41b5c7
32 changed files with 1071 additions and 2289 deletions

View File

@ -23,14 +23,15 @@ unset EXCLUDE || true
unset SRCEXCLUDE || true unset SRCEXCLUDE || true
unset NORECOMMENDS || true unset NORECOMMENDS || true
unset NOSUGGESTS || true unset NOSUGGESTS || true
unset DOJIGDO || true #unset DOJIGDO || true
unset JIGDOCMD || true
unset JIGDOTEMPLATEURL || true unset JIGDOTEMPLATEURL || true
unset JIGDOFALLBACKURLS || true #unset JIGDOFALLBACKURLS || true
unset JIGDOINCLUDEURLS || true unset JIGDOINCLUDEURLS || true
unset JIGDOSCRIPT || true unset JIGDOSCRIPT || true
unset JIGDO_OPTS || true unset JIGDO_OPTS || true
unset DEFBINSIZE || true #unset DEFBINSIZE || true
unset DEFSRCSIZE || true #unset DEFSRCSIZE || true
unset FASTSUMS || true unset FASTSUMS || true
unset PUBLISH_URL || true unset PUBLISH_URL || true
unset PUBLISH_NONUS_URL || true unset PUBLISH_NONUS_URL || true
@ -39,43 +40,38 @@ unset UDEB_INCLUDE || true
unset UDEB_EXCLUDE || true unset UDEB_EXCLUDE || true
unset BASE_INCLUDE || true unset BASE_INCLUDE || true
unset BASE_EXCLUDE || true unset BASE_EXCLUDE || true
unset INSTALLER_CD || true #unset INSTALLER_CD || true
unset MAXCDS || true
unset SPLASHPNG || true
unset OMIT_MANUAL || true
unset OMIT_RELEASE_NOTES || true
# The debian-cd dir # The debian-cd dir
# Where I am (hoping I'm in the debian-cd dir) # Where I am (hoping I'm in the debian-cd dir)
export BASEDIR=`pwd` export BASEDIR=`pwd`
# Building etch cd set ... export DI=sarge
export CODENAME=etch
# Building sarge cd set ...
export CODENAME=sarge
# By default use Debian installer packages from $CODENAME
if [ ! "$DI_CODENAME" ] if [ ! "$DI_CODENAME" ]
then then
export DI_CODENAME=$CODENAME export DI_CODENAME=$CODENAME
fi fi
# If set, controls where the d-i components are downloaded from.
# This may be an url, or "default", which will make it use the default url
# for the daily d-i builds. If not set, uses the official d-i images from
# the Debian mirror.
#export DI_WWW_HOME=default
# Version number, "2.2 r0", "2.2 r1" etc. # Version number, "2.2 r0", "2.2 r1" etc.
export DEBVERSION="3.1" export DEBVERSION="3.1 r8"
# Official or non-official set. # Official or non-official set.
# NOTE: THE "OFFICIAL" DESIGNATION IS ONLY ALLOWED FOR IMAGES AVAILABLE # NOTE: THE "OFFICIAL" DESIGNATION IS ONLY ALLOWED FOR IMAGES AVAILABLE
# ON THE OFFICIAL DEBIAN CD WEBSITE http://cdimage.debian.org # ON THE OFFICIAL DEBIAN CD WEBSITE http://cdimage.debian.org
export OFFICIAL="Unofficial" #export OFFICIAL="Unofficial"
#export OFFICIAL="Official" export OFFICIAL="Official"
#export OFFICIAL="Official Beta" #export OFFICIAL="Official Beta"
# ... for arch # ... for arch
export ARCH=`dpkg --print-architecture` if [ ! "$ARCH" ]
then
export ARCH=`dpkg --print-installation-architecture`
fi
# IMPORTANT : The 4 following paths must be on the same partition/device. # IMPORTANT : The 4 following paths must be on the same partition/device.
# If they aren't then you must set COPYLINK below to 1. This # If they aren't then you must set COPYLINK below to 1. This
@ -83,7 +79,12 @@ export ARCH=`dpkg --print-architecture`
# images, however. Also, if you are using an NFS partition for # images, however. Also, if you are using an NFS partition for
# some part of this, you must use this option. # some part of this, you must use this option.
# Paths to the mirrors # Paths to the mirrors
export MIRROR=/ftp/debian if [ "$MIRROR"x = ""x ] ; then
export MIRROR=/org/cdbuilder.debian.org/src/ftp/debian
fi
if [ "$ARCH" = "amd64" ] ; then
export MIRROR=/org/cdbuilder.debian.org/src/ftp/debian-amd64/debian-amd64
fi
# Comment the following line if you don't have/want non-US # Comment the following line if you don't have/want non-US
#export NONUS=/ftp/debian-non-US #export NONUS=/ftp/debian-non-US
@ -94,14 +95,16 @@ export MIRROR=/ftp/debian
#export FORCENONUSONCD1=1 #export FORCENONUSONCD1=1
# Path of the temporary directory # Path of the temporary directory
export TDIR=/ftp/tmp export TDIR=/org/cdbuilder.debian.org/src/deb-cd/tmp/"$INSTALLER_CD""$DI""$ARCH"
# Path where the images will be written # Path where the images will be written
export OUT=/rack/debian-cd if [ "$OUT"x = ""x ] ; then
export OUT=/org/cdbuilder.debian.org/dst/deb-cd/tmp/"$INSTALLER_CD""$DI""$ARCH"
fi
# Where we keep the temporary apt stuff. # Where we keep the temporary apt stuff.
# This cannot reside on an NFS mount. # This cannot reside on an NFS mount.
export APTTMP=/ftp/tmp/apt export APTTMP=$TDIR/apt
# Do I want to have NONFREE merged in the CD set # Do I want to have NONFREE merged in the CD set
# export NONFREE=1 # export NONFREE=1
@ -144,7 +147,7 @@ export CONTRIB=1
# export COPYLINK=1 # export COPYLINK=1
# Options # Options
# export MKISOFS=mkisofs export MKISOFS="$BASEDIR/../mkisofs/usr/bin/mkisofs"
# export MKISOFS_OPTS="-r" #For normal users # export MKISOFS_OPTS="-r" #For normal users
# export MKISOFS_OPTS="-r -F ." #For symlink farmers # export MKISOFS_OPTS="-r -F ." #For symlink farmers
@ -152,7 +155,7 @@ export CONTRIB=1
export ISOLINUX=1 export ISOLINUX=1
# uncomment this to if you want to see more of what the Makefile is doing # uncomment this to if you want to see more of what the Makefile is doing
#export VERBOSE_MAKE=1 export VERBOSE_MAKE=1
# uncoment this to make build_all.sh try to build a simple CD image if # uncoment this to make build_all.sh try to build a simple CD image if
# the proper official CD run does not work # the proper official CD run does not work
@ -161,18 +164,18 @@ export ISOLINUX=1
# Set your disk size here in MB. Used in calculating package and # Set your disk size here in MB. Used in calculating package and
# source file layouts in build.sh and build_all.sh. Defaults are for # source file layouts in build.sh and build_all.sh. Defaults are for
# CD-R, try ~4600 for DVD-R. # CD-R, try ~4600 for DVD-R.
export DEFBINSIZE=630 if [ ! "$DEFBINSIZE" ] ; then export DEFBINSIZE=639 ; fi
export DEFSRCSIZE=635 if [ ! "$DEFSRCSIZE" ] ; then export DEFSRCSIZE=639 ; fi
# We don't want certain packages to take up space on CD1... # We don't want certain packages to take up space on CD1...
export EXCLUDE="$BASEDIR"/tasks/exclude-$CODENAME export EXCLUDE="$BASEDIR"/tasks/exclude-sarge
# ...but they are okay for other CDs (UNEXCLUDEx == may be included on CD >= x) # ...but they are okay for other CDs (UNEXCLUDEx == may be included on CD >= x)
export UNEXCLUDE2="$BASEDIR"/tasks/unexclude-CD2-$CODENAME export UNEXCLUDE2="$BASEDIR"/tasks/unexclude-CD2-sarge
# Any packages listed in EXCLUDE but not in any UNEXCLUDE will be # Any packages listed in EXCLUDE but not in any UNEXCLUDE will be
# excluded completely. # excluded completely.
# We also exclude some source packages # We also exclude some source packages
#export SRCEXCLUDE="$BASEDIR"/tasks/exclude-src-$CODENAME #export SRCEXCLUDE="$BASEDIR"/tasks/exclude-src-potato
# Set this if the recommended packages should be skipped when adding # Set this if the recommended packages should be skipped when adding
# package on the CD. The default is 'false'. # package on the CD. The default is 'false'.
@ -191,18 +194,20 @@ export NORECOMMENDS=1
# since they need the actual .iso to make it bootable. For these archs, # since they need the actual .iso to make it bootable. For these archs,
# the temp-iso will be generated, but deleted again immediately after the # the temp-iso will be generated, but deleted again immediately after the
# jigdo stuff is made; needs temporary space as big as the biggest image. # jigdo stuff is made; needs temporary space as big as the biggest image.
#export DOJIGDO=2 if [ ! "$DOJIGDO" ];then export DOJIGDO=1;fi
# #
# jigdo-file command & options # jigdo-file command & options
# Note: building the cache takes hours, so keep it around for the next run # Note: building the cache takes hours, so keep it around for the next run
#export JIGDOCMD="/usr/local/bin/jigdo-file --cache=$HOME/jigdo-cache.db" #export JIGDOCMD="$BASEDIR/../jigdo/usr/bin/jigdo-file --cache=$TDIR/jigdo-cache.db"
# #export JIGDOCMD="/usr/bin/jigdo-file --cache=$TDIR/jigdo-cache.db"
# HTTP/FTP URL for directory where you intend to make the templates # HTTP/FTP URL for directory where you intend to make the templates
# available. You should not need to change this; the default value "" # available. You should not need to change this; the default value ""
# means "template in same dir as the .jigdo file", which is usually # means "template in same dir as the .jigdo file", which is usually
# correct. If it is non-empty, it needs a trailing slash. "%ARCH%" # correct. If it is non-empty, it needs a trailing slash. "%ARCH%"
# will be substituted by the current architecture. # will be substituted by the current architecture.
#export JIGDOTEMPLATEURL="" #export JIGDOTEMPLATEURL=""
#export JIGDOTEMPLATEURL="jigdotemplates/"
# #
# Name of a directory on disc to create data for a fallback server in. # Name of a directory on disc to create data for a fallback server in.
# Should later be made available by you at the URL given in # Should later be made available by you at the URL given in
@ -211,12 +216,13 @@ export NORECOMMENDS=1
# files in your FTP archive. Because of the hard links, the dir must # files in your FTP archive. Because of the hard links, the dir must
# be on the same partition as the FTP archive! If unset, no fallback # be on the same partition as the FTP archive! If unset, no fallback
# data is created, which may cause problems - see README. # data is created, which may cause problems - see README.
#export JIGDOFALLBACKPATH="$(OUT)/snapshot/" #export JIGDOFALLBACKPATH="$OUT/snapshot/"
# #
# Space-separated list of label->URL mappings for "jigdo fallback # Space-separated list of label->URL mappings for "jigdo fallback
# server(s)" to add to .jigdo file. If unset, no fallback URL is # server(s)" to add to .jigdo file. If unset, no fallback URL is
# added, which may cause problems - see README. # added, which may cause problems - see README.
#export JIGDOFALLBACKURLS="Debian=http://myserver/snapshot/Debian/ Non-US=http://myserver/snapshot/Non-US/" if [ ! "$JIGDOFALLBACKURLS" ];then export JIGDOFALLBACKURLS="Debian=http://gluck.debian.org/cdimage/snapshot/cd/$ARCH/Debian/";fi
#Non-US=http://gluck.debian.org/cdimage/testing/jigdo-area/$ARCH/snapshot/Non-US/";fi
# #
# Space-separated list of "include URLs" to add to the .jigdo file. # Space-separated list of "include URLs" to add to the .jigdo file.
# The included files are used to provide an up-to-date list of Debian # The included files are used to provide an up-to-date list of Debian
@ -233,14 +239,14 @@ export JIGDOINCLUDEURLS="http://cdimage.debian.org/debian-cd/debian-servers.jigd
# If set, use the md5sums from the main archive, rather than calculating # If set, use the md5sums from the main archive, rather than calculating
# them locally # them locally
#export FASTSUMS=1 export FASTSUMS=1
# A couple of things used only by publish_cds, so it can tweak the # A couple of things used only by publish_cds, so it can tweak the
# jigdo files, and knows where to put the results. # jigdo files, and knows where to put the results.
# You need to run publish_cds manually, it is not run by the Makefile. # You need to run publish_cds manually, it is not run by the Makefile.
export PUBLISH_URL="http://cdimage.debian.org/jigdo-area" #export PUBLISH_URL="http://cdimage.debian.org/jigdo-area"
export PUBLISH_NONUS_URL="http://non-US.cdimage.debian.org/jigdo-area" #export PUBLISH_NONUS_URL="http://non-US.cdimage.debian.org/jigdo-area"
export PUBLISH_PATH="/home/jigdo-area/" #export PUBLISH_PATH="/home/jigdo-area/"
# Specify files and directories to *exclude* from jigdo processing. These # Specify files and directories to *exclude* from jigdo processing. These
# files on each CD are expected to be different to those on the mirror, or # files on each CD are expected to be different to those on the mirror, or
@ -248,11 +254,6 @@ export PUBLISH_PATH="/home/jigdo-area/"
# simply be placed straight into the template file. # simply be placed straight into the template file.
export JIGDO_EXCLUDE="'README*' /doc/ /md5sum.txt /.disk/ /pics/ 'Release*' 'Packages*' 'Sources*'" export JIGDO_EXCLUDE="'README*' /doc/ /md5sum.txt /.disk/ /pics/ 'Release*' 'Packages*' 'Sources*'"
# Specify files that MUST match entries in the externally-supplied
# md5-list. If they do not, the CD build process will fail; something
# must have been corrupted. Replaces the old mirrorcheck code.
export JIGDO_INCLUDE="/pool/"
# Specify the minimum file size to consider for jigdo processing. Any files # Specify the minimum file size to consider for jigdo processing. Any files
# smaller than this will simply be placed straight into the template file. # smaller than this will simply be placed straight into the template file.
export JIGDO_OPTS="-jigdo-min-file-size 0" export JIGDO_OPTS="-jigdo-min-file-size 0"
@ -262,10 +263,8 @@ do
JIGDO_OPTS="$JIGDO_OPTS -jigdo-exclude $EXCL" JIGDO_OPTS="$JIGDO_OPTS -jigdo-exclude $EXCL"
done done
for INCL in $JIGDO_INCLUDE export DEBOOTSTRAP_DIR="$BASEDIR"/../debootstrap/usr/lib/debootstrap/
do export IGNORE_MISSING_BOOT_SCRIPT=1
JIGDO_OPTS="$JIGDO_OPTS -jigdo-force-md5 $INCL"
done
# Where to find the boot disks # Where to find the boot disks
#export BOOTDISKS=$TOPDIR/ftp/skolelinux/boot-floppies #export BOOTDISKS=$TOPDIR/ftp/skolelinux/boot-floppies
@ -291,32 +290,19 @@ done
# Only put the installer onto the cd (set NORECOMMENDS,... as well). # Only put the installer onto the cd (set NORECOMMENDS,... as well).
# INSTALLER_CD=0: nothing special (default) # INSTALLER_CD=0: nothing special (default)
# INSTALLER_CD=1: just add debian-installer (use TASK=tasks/debian-installer-$CODENAME) # INSTALLER_CD=1: just add debian-installer (use TASK=tasks/debian-installer)
# INSTALLER_CD=2: add d-i and base (use TASK=tasks/debian-installer+kernel-$CODENAME) # INSTALLER_CD=2: add d-i and base (use TASK=tasks/debian-installer+kernel)
#export INSTALLER_CD=0 #export INSTALLER_CD=0
# Parameters to pass to kernel when the CD boots. Not currently supported # Jeroen: not needed
# for all architectures. #export DELOROOT="$BASEDIR"/../delo
#export KERNEL_PARAMS="DEBCONF_PRIORITY=critical"
# If set, limits the number of binary CDs to produce.
#export MAXCDS=1
# If set, overrides the boot picture used.
#export SPLASHPNG="$BASEDIR/data/$CODENAME/splash-img.png"
# Used by build.sh to determine what to build, this is the name of a target
# in the Makefile. Use bin-official_images to build only binary CDs. The
# default, official_images, builds everything.
#IMAGETARGET=official_images
# Set to 1 to save space by omitting the installation manual.
# If so the README will link to the manual on the web site.
#export OMIT_MANUAL=1
# Set to 1 to save space by omitting the release notes # Set to 1 to save space by omitting the release notes
# If so we will link to them on the web site. # If so we will link to them on the web site.
export OMIT_RELEASE_NOTES=0 #export OMIT_RELEASE_NOTES=0
# Set this to override the defaul location # Set this to override the defaul location
#export RELEASE_NOTES_LOCATION="http://www.debian.org/releases/$CODENAME" #export RELEASE_NOTES_LOCATION="http://www.debian.org/releases/$CODENAME"
if [ "$ARCH" = "amd64" ];then
export RELEASE_NOTES_LOCATION="http://amd64.debian.net/docs/release-notes/"
fi

View File

@ -440,6 +440,7 @@ $(BDIR)/CD1/.disk/info:
num=$${i%%.packages}; num=$${num##$(BDIR)/}; \ num=$${i%%.packages}; num=$${num##$(BDIR)/}; \
dir=$(BDIR)/CD$$num; \ dir=$(BDIR)/CD$$num; \
echo -n $(BINDISKINFO) | sed 's/_NONUS//g' > $$dir/.disk/info; \ echo -n $(BINDISKINFO) | sed 's/_NONUS//g' > $$dir/.disk/info; \
echo -n $(BINDISKINFOND) | sed 's/_NONUS//g' > $(BDIR)/$$num.diskinfo; \
echo '#define DISKNAME ' $(BINDISKINFOND) | sed 's/_NONUS//g' \ echo '#define DISKNAME ' $(BINDISKINFOND) | sed 's/_NONUS//g' \
> $$dir/README.diskdefines; \ > $$dir/README.diskdefines; \
echo '#define TYPE binary' \ echo '#define TYPE binary' \
@ -471,6 +472,7 @@ $(SDIR)/CD1/.disk/info:
num=$${i%%.sources}; num=$${num##$(SDIR)/}; \ num=$${i%%.sources}; num=$${num##$(SDIR)/}; \
dir=$(SDIR)/CD$$num; \ dir=$(SDIR)/CD$$num; \
echo -n $(SRCDISKINFO) | sed 's/_NONUS//g' > $$dir/.disk/info; \ echo -n $(SRCDISKINFO) | sed 's/_NONUS//g' > $$dir/.disk/info; \
echo -n $(SRCDISKINFOND) | sed 's/_NONUS//g' > $(SDIR)/$$num.diskinfo; \
echo '#define DISKNAME ' $(SRCDISKINFOND) | sed 's/_NONUS//g' \ echo '#define DISKNAME ' $(SRCDISKINFOND) | sed 's/_NONUS//g' \
> $$dir/README.diskdefines; \ > $$dir/README.diskdefines; \
echo '#define TYPE source' \ echo '#define TYPE source' \
@ -875,10 +877,10 @@ images: bin-images src-images
# 2 jigdo, cleanup_jigdo # 2 jigdo, cleanup_jigdo
# #
bin-images: ok bin-md5list $(OUT) bin-images: ok bin-md5list $(OUT)
$(make_image) $(BDIR) $(ARCH) $(OUT) $(DOJIGDO) $(DEBVERSION) $(MIRROR) $(MKISOFS) $(MKISOFS_OPTS) $(JIGDO_OPTS) $(JIGDO_CLEANUP) $(make_image) "$(BDIR)" "$(ARCH)" "$(OUT)" "$(DOJIGDO)" "$(DEBVERSION)" "$(MIRROR)" "$(MKISOFS)" "$(MKISOFS_OPTS)" "$(JIGDO_OPTS)" "$(jigdo_cleanup)"
src-images: ok src-md5list $(OUT) src-images: ok src-md5list $(OUT)
$(make_image) $(SDIR) source $(OUT) $(DOJIGDO) $(DEBVERSION) $(MIRROR) $(MKISOFS) $(MKISOFS_OPTS) $(JIGDO_OPTS) $(JIGDO_CLEANUP) $(make_image) "$(SDIR)" "source" "$(OUT)" "$(DOJIGDO)" "$(DEBVERSION)" "$(MIRROR)" "$(MKISOFS)" "$(MKISOFS_OPTS)" "$(JIGDO_OPTS)" "$(jigdo_cleanup)"
check-number-given: check-number-given:
@test -n "$(CD)" || (echo "Give me a CD=<num> parameter !" && false) @test -n "$(CD)" || (echo "Give me a CD=<num> parameter !" && false)
@ -890,21 +892,7 @@ src-image: check-number-given src-images
#Calculate the md5sums for the images (if available), or get from templates #Calculate the md5sums for the images (if available), or get from templates
imagesums: imagesums:
$(Q)cd $(OUT); :> MD5SUMS; for file in `find * -name \*.raw`; do \ $(Q)$(BASEDIR)/tools/imagesums $(OUT)
$(md5sum) $$file >>MD5SUMS; \
done; \
for file in `find * -name \*.template`; do \
if [ "`tail --bytes=33 "$$file" | head --bytes=1 | od -tx1 -An | sed -e 's/ //g'`" != 05 ]; then \
echo "Possibly invalid template $$file"; exit 1; \
fi; \
grep -q " $${file%%.template}.raw"'$$' MD5SUMS \
|| echo "`tail --bytes=26 "$$file" | head --bytes=16 | od -tx1 -An | sed -e 's/ //g'` $${file%%.template}.raw" >>MD5SUMS; \
done
# Likewise, the file size can be extracted from the .template with:
# tail --bytes=32 $$file | head --bytes=6 | od -tx1 -An \
# | tr ' abcdef' '\nABCDEF' | tac | tr '\n' ' ' \
# | sed -e 's/ //g; s/^.*$/ibase=16 & /' | tr ' ' '\n' | bc
## MISC TARGETS ## ## MISC TARGETS ##
@ -919,23 +907,23 @@ conf:
mirrorcheck-binary: ok mirrorcheck-binary: ok
rm -f $(BDIR)/md5-check rm -f $(BDIR)/md5-check
$(Q)$(grab_md5) $(MIRROR) $(ARCH) $(CODENAME) $(BDIR)/md5-check $(Q)$(grab_md5) $(MIRROR) $(ARCH) $(CODENAME) $(CODENAME) $(BDIR)/md5-check
if [ -n "$(NONUS)" ]; then \ if [ -n "$(NONUS)" ]; then \
$(grab_md5) $(NONUS) $(ARCH) $(CODENAME) $(BDIR)/md5-check; \ $(grab_md5) $(NONUS) $(ARCH) $(CODENAME) $(CODENAME) $(BDIR)/md5-check; \
fi fi
$(Q)if [ -e $(BASEDIR)/data/$(CODENAME)/$(ARCH)/extra-sources ]; then \ $(Q)if [ -e $(BASEDIR)/data/$(CODENAME)/$(ARCH)/extra-sources ]; then \
echo "Extra dedicated source added; need to grab source MD5 info too"; \ echo "Extra dedicated source added; need to grab source MD5 info too"; \
$(Q)$(grab_md5) $(MIRROR) source $(CODENAME) $(BDIR)/md5-check; \ $(Q)$(grab_md5) $(MIRROR) source $(CODENAME) $(CODENAME) $(BDIR)/md5-check; \
if [ -n "$(NONUS)" ]; then \ if [ -n "$(NONUS)" ]; then \
$(grab_md5) $(NONUS) source $(CODENAME) $(BDIR)/md5-check; \ $(grab_md5) $(NONUS) source $(CODENAME) $(CODENAME) $(BDIR)/md5-check; \
fi; \ fi; \
fi fi
mirrorcheck-source: ok mirrorcheck-source: ok
rm -f $(SDIR)/md5-check rm -f $(SDIR)/md5-check
$(Q)$(grab_md5) $(MIRROR) source $(CODENAME) $(SDIR)/md5-check $(Q)$(grab_md5) $(MIRROR) source $(CODENAME) $(CODENAME) $(SDIR)/md5-check
if [ -n "$(NONUS)" ]; then \ if [ -n "$(NONUS)" ]; then \
$(grab_md5) $(NONUS) source $(CODENAME) $(SDIR)/md5-check; \ $(grab_md5) $(NONUS) source $(CODENAME) $(CODENAME) $(SDIR)/md5-check; \
fi fi
update-popcon: update-popcon:

View File

@ -12,7 +12,7 @@
<body text="#000000" bgcolor="#FFFFFF" link="#0000FF" vlink="#800080" alink="#FF0000"> <body text="#000000" bgcolor="#FFFFFF" link="#0000FF" vlink="#800080" alink="#FF0000">
<!-- The HTML and TEXT file are NOT the actual source code. --> <!-- The HTML and TEXT file are NOT the actual source code. -->
<!-- For that, see http://svn.debian.org/wsvn/debian-cd --> <!-- For that, see http://cvs.debian.org/debian-cd/data/woody/README.html.in?cvsroot=debian-boot -->
#if 0 #if 0
If you read THIS, you're viewing the actual source file ;-) If you read THIS, you're viewing the actual source file ;-)
#endif #endif
@ -159,15 +159,6 @@ CONTENTS:
</LI><LI> </LI><LI>
#endif #endif
#ifndef UNOFFEXTRAS
<A href="#lastmin">Last-Minute Notes</A>
<P>
#if OUTPUTtext
</LI><LI>
#endif
#endif
#if TYPEbinary #if TYPEbinary
<A href="#apt">Using CDs with apt</A> <A href="#apt">Using CDs with apt</A>
<P> <P>
@ -305,23 +296,6 @@ The programs on the Binary CDs are ordered by popularity. The Binary-1 CD
contains the most popular programs and the installation tools; it is possible contains the most popular programs and the installation tools; it is possible
to install and run Debian with only the Binary-1 CD. The other CDs, up to to install and run Debian with only the Binary-1 CD. The other CDs, up to
Binary-TOTALNUM, contain mostly special-interest programs. Binary-TOTALNUM, contain mostly special-interest programs.
<p>
#if OMIT_RELEASE_NOTES
The Release Notes for "sarge" are available on the <A
href="http://www.debian.org/releases/sarge/releasenotes">Debian web
site</A>.
#else
#if DISKNUM == 1
The Release Notes for Debian GNU/Linux "sarge" are included on this CD
in <A href=%%""doc/release-notes/%%"">/doc/release-notes/</a>, in
several languages. Additional translations and updated versions for
the Release Notes may be available from the <A
href="http://www.debian.org/releases/sarge/releasenotes">Debian web
site</A>.
#else
See the first CD in this set for the "sarge" Release Notes.
#endif
#endif
#endif #endif
#if TYPEsource #if TYPEsource
the source code of programs in the Debian OS. the source code of programs in the Debian OS.
@ -418,42 +392,6 @@ Installing
See the README on that CD for more info. See the README on that CD for more info.
#endif #endif
#ifndef UNOFFEXTRAS
#if OUTPUTtext
<P>&nbsp;<P><H2><A name="lastmin">
#endif
#if OUTPUThtml
<P><HR><P><H2><A name="lastmin">
#endif
Last-Minute Notes
#if OUTPUTtext
<br>
=================
#endif
</H2>
</a>
<p>
<UL>
<LI>
You should keep in mind that this is an unofficial CD of the current
development version of the Debian system. This means that all sorts of
bugs may be present anywhere in the system.
<br>&nbsp;
</LI>
#if 0
-------- This can't be an official image, so also no official notes.
<LI>
Last-minutes notes for this CD may be available on
<a href="http://www.debian.org/CD/releases/">http://www.debian.org/CD/releases/</a>
</LI>
#endif
</UL>
#endif
#if TYPEbinary #if TYPEbinary
#if OUTPUTtext #if OUTPUTtext
<P>&nbsp;<P><H2><A name="apt"> <P>&nbsp;<P><H2><A name="apt">

View File

@ -7,7 +7,7 @@
* *
* DO NOT EDIT THIS FILE, edit the above script * DO NOT EDIT THIS FILE, edit the above script
* *
* Last update: Fri May 27 23:28:27 CEST 2005 * Last update: Sun Apr 13 22:25:15 CEST 2008
*/ */
#include <debian-installer-sarge> #include <debian-installer-sarge>
@ -38,67 +38,31 @@ discover
discover1 discover1
grub grub
lilo lilo
kernel-image-2.4.27-2-386
kernel-pcmcia-modules-2.4.27-2-386
kernel-image-2.6.8-2-386
#endif #endif
#ifdef ARCH_amd64 #ifdef ARCH_amd64
discover discover
discover1 discover1
grub grub
lilo lilo
kernel-image-2.6.8-11-amd64-generic kernel-image-2.6.8-12-amd64-generic
#endif #endif
#ifdef ARCH_alpha #ifdef ARCH_alpha
aboot aboot
aboot-base aboot-base
discover1 discover1
kernel-image-2.4-generic
kernel-image-2.4-smp
kernel-image-2.4.27-2-generic
kernel-image-2.4.27-2-smp
kernel-image-2.6-generic
kernel-image-2.6-smp
kernel-image-2.6.8-2-generic
kernel-image-2.6.8-2-smp
kernel-image-netbootable
#endif #endif
#ifdef ARCH_hppa #ifdef ARCH_hppa
discover1 discover1
kernel-image-2.6.8-2-32
kernel-image-2.6.8-2-32-smp
kernel-image-2.6.8-2-64
kernel-image-2.6.8-2-64-smp
#endif #endif
#ifdef ARCH_ia64 #ifdef ARCH_ia64
discover1 discover1
initrd-tools initrd-tools
kernel-image-2.4.27-2-itanium
kernel-image-2.4.27-2-itanium-smp
kernel-image-2.4.27-2-mckinley
kernel-image-2.4.27-2-mckinley-smp
kernel-image-2.4-itanium
kernel-image-2.4-itanium-smp
kernel-image-2.4-mckinley
kernel-image-2.4-mckinley-smp
kernel-image-2.6.8-2-itanium
kernel-image-2.6.8-2-itanium-smp
kernel-image-2.6.8-2-mckinley
kernel-image-2.6.8-2-mckinley-smp
kernel-image-2.6-itanium
kernel-image-2.6-itanium-smp
kernel-image-2.6-mckinley
kernel-image-2.6-mckinley-smp
#endif #endif
#ifdef ARCH_mips #ifdef ARCH_mips
arcboot arcboot
kernel-image-2.4.27-r4k-ip22
kernel-image-2.4.27-r5k-ip22
#endif #endif
#ifdef ARCH_mipsel #ifdef ARCH_mipsel
delo delo
kernel-image-2.4.27-r3k-kn02
kernel-image-2.4.27-r4k-kn04
#endif #endif
#ifdef ARCH_powerpc #ifdef ARCH_powerpc
discover1 discover1
@ -107,44 +71,14 @@ yaboot
mkvmlinuz mkvmlinuz
module-init-tools module-init-tools
initrd-tools initrd-tools
kernel-image-2.6.8-powerpc
kernel-image-2.6.8-power3
kernel-image-2.6.8-power4
kernel-image-2.4.27-apus
#endif #endif
#ifdef ARCH_sparc #ifdef ARCH_sparc
discover1 discover1
initrd-tools initrd-tools
kernel-image-2.4-sparc32
kernel-image-2.4-sparc32-smp
kernel-image-2.4-sparc64
kernel-image-2.4-sparc64-smp
kernel-image-2.4.27-2-sparc32
kernel-image-2.4.27-2-sparc32-smp
kernel-image-2.4.27-2-sparc64
kernel-image-2.4.27-2-sparc64-smp
kernel-image-2.6-sparc32
kernel-image-2.6-sparc64
kernel-image-2.6-sparc64-smp
kernel-image-2.6.8-2-sparc32
kernel-image-2.6.8-2-sparc64
kernel-image-2.6.8-2-sparc64-smp
#endif #endif
#ifdef ARCH_m68k #ifdef ARCH_m68k
fileutils fileutils
kernel-image-2.2.25-mac
kernel-image-2.4.27-amiga
kernel-image-2.4.27-atari
kernel-image-2.4.27-bvme6000
kernel-image-2.4.27-mvme147
kernel-image-2.4.27-mvme16x
kernel-image-2.4.27-q40
#endif #endif
#ifdef ARCH_arm #ifdef ARCH_arm
discover1 discover1
kernel-image-2.4.27-bast
kernel-image-2.4.27-lart
kernel-image-2.4.27-netwinder
kernel-image-2.4.27-riscpc
kernel-image-2.4.27-riscstation
#endif #endif

File diff suppressed because it is too large Load Diff

View File

@ -1,3 +1,4 @@
flight-of-the-amazon-queen
acorn-fdisk acorn-fdisk
aspell-bg aspell-bg
aspell-br aspell-br
@ -17,155 +18,10 @@ kernel-image-2.4-686-smp
kernel-image-2.4-k6 kernel-image-2.4-k6
kernel-image-2.4-k7 kernel-image-2.4-k7
kernel-image-2.4-k7-smp kernel-image-2.4-k7-smp
kernel-image-2.4.21-5-386 kernel-image-2.4.27-3-586tsc
kernel-image-2.4.21-5-586tsc kernel-image-2.4.27-3-k6
kernel-image-2.4.21-5-686 kernel-image-2.4.27-3-k7
kernel-image-2.4.21-5-686-smp kernel-image-2.4.27-3-k7-smp
kernel-image-2.4.21-5-k6
kernel-image-2.4.21-5-k7
kernel-image-2.4.21-5-k7-smp
kernel-image-2.4.24-1-386
kernel-image-2.4.24-1-586tsc
kernel-image-2.4.24-1-686
kernel-image-2.4.24-1-686-smp
kernel-image-2.4.24-1-k6
kernel-image-2.4.24-1-k7
kernel-image-2.4.24-1-k7-smp
kernel-image-2.4.24-speakup
kernel-image-2.4.25-1-386
kernel-image-2.4.25-1-586tsc
kernel-image-2.4.25-1-686
kernel-image-2.4.25-1-686-smp
kernel-image-2.4.25-1-k6
kernel-image-2.4.25-1-k7
kernel-image-2.4.25-1-k7-smp
kernel-image-2.4.26-speakup
kernel-image-2.4.26-1-386
kernel-image-2.4.26-1-586tsc
kernel-image-2.4.26-1-686
kernel-image-2.4.26-1-686-smp
kernel-image-2.4.26-1-k6
kernel-image-2.4.26-1-k7
kernel-image-2.4.26-1-k7-smp
kernel-image-2.4.27-1-586tsc
kernel-image-2.4.27-1-k6
kernel-image-2.4.27-1-k7
kernel-image-2.4.27-1-k7-smp
kernel-image-2.4.27-2-586tsc
kernel-image-2.4.27-2-k6
kernel-image-2.4.27-2-k7
kernel-image-2.4.27-2-k7-smp
kernel-image-2.6-386
kernel-image-2.6-686
kernel-image-2.6-686-smp
kernel-image-2.6-k7
kernel-image-2.6-k7-smp
kernel-image-2.6-amd64-generic
kernel-image-2.6-amd64-k8
kernel-image-2.6-amd64-k8-smp
kernel-image-2.6-em64t-p4
kernel-image-2.6-em64t-p4-smp
kernel-image-2.6.3-1-386
kernel-image-2.6.3-1-686
kernel-image-2.6.3-1-686-smp
kernel-image-2.6.3-1-k7
kernel-image-2.6.3-1-k7-smp
kernel-image-2.6.5-1-386
kernel-image-2.6.5-1-686
kernel-image-2.6.5-1-686-smp
kernel-image-2.6.5-1-k7
kernel-image-2.6.5-1-k7-smp
kernel-image-2.6.6-1-386
kernel-image-2.6.6-1-686
kernel-image-2.6.6-1-686-smp
kernel-image-2.6.6-1-k7
kernel-image-2.6.6-1-k7-smp
kernel-image-2.6.7-1-386
kernel-image-2.6.7-1-686
kernel-image-2.6.7-1-686-smp
kernel-image-2.6.7-1-k7
kernel-image-2.6.7-1-k7-smp
kernel-image-2.6.8-1-k7
kernel-image-2.6.8-1-k7-smp
kernel-image-2.6.8-2-k7
kernel-image-2.6.8-2-k7-smp
kernel-image-2.6.8-9-amd64-k8-smp
kernel-image-2.6.8-9-amd64-k8
kernel-image-2.6.8-9-amd64-generic
kernel-image-2.6.8-9-em64t-p4-smp
kernel-image-2.6.8-9-em64t-p4
#ifndef ARCH_amd64
kernel-image-2.6.8-10-em64t-p4
kernel-image-2.6.8-10-em64t-p4-smp
kernel-image-2.6.8-10-amd64-k8
kernel-image-2.6.8-10-amd64-k8-smp
kernel-image-2.6.8-10-amd64-generic
kernel-image-2.6.8-11-em64t-p4
kernel-image-2.6.8-11-em64t-p4-smp
kernel-image-2.6.8-11-amd64-k8
kernel-image-2.6.8-11-amd64-k8-smp
kernel-image-2.6.8-11-amd64-generic
#endif
kernel-image-2.6.9-1-386
kernel-image-2.6.9-1-686
kernel-image-2.6.9-1-686-smp
kernel-image-2.6.9-1-k7
kernel-image-2.6.9-1-k7-smp
kernel-image-2.6.9-1-k7
kernel-image-2.6.9-1-k7-smp
kernel-image-2.6.9-1-amd64-k8-smp
kernel-image-2.6.9-1-amd64-k8
kernel-image-2.6.9-1-amd64-generic
kernel-image-2.6.9-1-em64t-p4-smp
kernel-image-2.6.9-1-em64t-p4
kernel-image-2.6.10-1-386
kernel-image-2.6.10-1-686
kernel-image-2.6.10-1-686-smp
kernel-image-2.6.10-1-k7
kernel-image-2.6.10-1-k7-smp
kernel-image-2.6.10-1-k7
kernel-image-2.6.10-1-k7-smp
kernel-image-2.6.10-1-amd64-k8-smp
kernel-image-2.6.10-1-amd64-k8
kernel-image-2.6.10-1-amd64-generic
kernel-image-2.6.10-1-em64t-p4-smp
kernel-image-2.6.10-1-em64t-p4
kernel-image-2.6.11-1-386
kernel-image-2.6.11-1-686
kernel-image-2.6.11-1-686-smp
kernel-image-2.6.11-1-k7
kernel-image-2.6.11-1-k7-smp
kernel-image-2.6.11-1-k7
kernel-image-2.6.11-1-k7-smp
kernel-image-2.6.11-1-amd64-k8-smp
kernel-image-2.6.11-1-amd64-k8
kernel-image-2.6.11-1-amd64-generic
kernel-image-2.6.11-1-em64t-p4-smp
kernel-image-2.6.11-1-em64t-p4
kernel-image-2.6.12-1-386
kernel-image-2.6.12-1-686
kernel-image-2.6.12-1-686-smp
kernel-image-2.6.12-1-k7
kernel-image-2.6.12-1-k7-smp
kernel-image-2.6.12-1-k7
kernel-image-2.6.12-1-k7-smp
kernel-image-2.6.12-1-amd64-k8-smp
kernel-image-2.6.12-1-amd64-k8
kernel-image-2.6.12-1-amd64-generic
kernel-image-2.6.12-1-em64t-p4-smp
kernel-image-2.6.12-1-em64t-p4
kernel-image-2.6.13-1-386
kernel-image-2.6.13-1-686
kernel-image-2.6.13-1-686-smp
kernel-image-2.6.13-1-k7
kernel-image-2.6.13-1-k7-smp
kernel-image-2.6.13-1-k7
kernel-image-2.6.13-1-k7-smp
kernel-image-2.6.13-1-amd64-k8-smp
kernel-image-2.6.13-1-amd64-k8
kernel-image-2.6.13-1-amd64-generic
kernel-image-2.6.13-1-em64t-p4-smp
kernel-image-2.6.13-1-em64t-p4
kernel-pcmcia-modules-2.4-386 kernel-pcmcia-modules-2.4-386
kernel-pcmcia-modules-2.4-586tsc kernel-pcmcia-modules-2.4-586tsc
kernel-pcmcia-modules-2.4-686 kernel-pcmcia-modules-2.4-686
@ -173,39 +29,40 @@ kernel-pcmcia-modules-2.4-686-smp
kernel-pcmcia-modules-2.4-k6 kernel-pcmcia-modules-2.4-k6
kernel-pcmcia-modules-2.4-k7 kernel-pcmcia-modules-2.4-k7
kernel-pcmcia-modules-2.4-k7-smp kernel-pcmcia-modules-2.4-k7-smp
kernel-pcmcia-modules-2.4.24-1-386 kernel-pcmcia-modules-2.4.27-3-586tsc
kernel-pcmcia-modules-2.4.24-1-586tsc kernel-pcmcia-modules-2.4.27-3-k6
kernel-pcmcia-modules-2.4.24-1-686 kernel-pcmcia-modules-2.4.27-3-k7
kernel-pcmcia-modules-2.4.24-1-686-smp kernel-pcmcia-modules-2.4.27-3-k7-smp
kernel-pcmcia-modules-2.4.24-1-k6 kernel-headers-2.4-386
kernel-pcmcia-modules-2.4.24-1-k7 kernel-headers-2.4-586tsc
kernel-pcmcia-modules-2.4.24-1-k7-smp kernel-headers-2.4-686
kernel-pcmcia-modules-2.4.25-1-386 kernel-headers-2.4-686-smp
kernel-pcmcia-modules-2.4.25-1-586tsc kernel-headers-2.4-k6
kernel-pcmcia-modules-2.4.25-1-686 kernel-headers-2.4-k7
kernel-pcmcia-modules-2.4.25-1-686-smp kernel-headers-2.4-k7-smp
kernel-pcmcia-modules-2.4.25-1-k6 kernel-headers-2.4.27-3-586tsc
kernel-pcmcia-modules-2.4.25-1-k7 kernel-headers-2.4.27-3-k6
kernel-pcmcia-modules-2.4.25-1-k7-smp kernel-headers-2.4.27-3-k7
kernel-pcmcia-modules-2.4.26-1-386 kernel-headers-2.4.27-3-k7-smp
kernel-pcmcia-modules-2.4.26-1-586tsc kernel-image-2.6-386
kernel-pcmcia-modules-2.4.26-1-686 kernel-image-2.6-686
kernel-pcmcia-modules-2.4.26-1-686-smp kernel-image-2.6-686-smp
kernel-pcmcia-modules-2.4.26-1-k6 kernel-image-2.6-k7
kernel-pcmcia-modules-2.4.26-1-k7 kernel-image-2.6-k7-smp
kernel-pcmcia-modules-2.4.26-1-k7-smp kernel-image-2.6.8-4-k7
kernel-pcmcia-modules-2.4.27-1-586tsc kernel-image-2.6.8-4-k7-smp
kernel-pcmcia-modules-2.4.27-1-k6 kernel-image-2.6-amd64-generic
kernel-pcmcia-modules-2.4.27-1-k7 kernel-image-2.6-amd64-k8
kernel-pcmcia-modules-2.4.27-1-k7-smp kernel-image-2.6-amd64-k8-smp
kernel-pcmcia-modules-2.4.27-2-586tsc kernel-image-2.6-em64t-p4
kernel-pcmcia-modules-2.4.27-2-k6 kernel-image-2.6-em64t-p4-smp
kernel-pcmcia-modules-2.4.27-2-k7 #ifndef ARCH_amd64
kernel-pcmcia-modules-2.4.27-2-k7-smp kernel-image-2.6.8-13-amd64-k8-smp
kernel-pcmcia-modules-2.4.28-1-586tsc kernel-image-2.6.8-13-amd64-k8
kernel-pcmcia-modules-2.4.28-1-k6 kernel-image-2.6.8-13-amd64-generic
kernel-pcmcia-modules-2.4.28-1-k7 kernel-image-2.6.8-13-em64t-p4-smp
kernel-pcmcia-modules-2.4.28-1-k7-smp kernel-image-2.6.8-13-em64t-p4
#endif
python2.1 python2.1
smail smail
tcl8.0 tcl8.0

View File

@ -0,0 +1,237 @@
flight-of-the-amazon-queen
acorn-fdisk
aspell-bg
aspell-br
aspell-cy
aspell-da
aspell-de
aspell-el
aspell-es
aspell-fr
aspell-pt
cfdisk-utf8
gcc272
kernel-image-2.4-386
kernel-image-2.4-586tsc
kernel-image-2.4-686
kernel-image-2.4-686-smp
kernel-image-2.4-k6
kernel-image-2.4-k7
kernel-image-2.4-k7-smp
kernel-image-2.4.21-5-386
kernel-image-2.4.21-5-586tsc
kernel-image-2.4.21-5-686
kernel-image-2.4.21-5-686-smp
kernel-image-2.4.21-5-k6
kernel-image-2.4.21-5-k7
kernel-image-2.4.21-5-k7-smp
kernel-image-2.4.24-1-386
kernel-image-2.4.24-1-586tsc
kernel-image-2.4.24-1-686
kernel-image-2.4.24-1-686-smp
kernel-image-2.4.24-1-k6
kernel-image-2.4.24-1-k7
kernel-image-2.4.24-1-k7-smp
kernel-image-2.4.24-speakup
kernel-image-2.4.25-1-386
kernel-image-2.4.25-1-586tsc
kernel-image-2.4.25-1-686
kernel-image-2.4.25-1-686-smp
kernel-image-2.4.25-1-k6
kernel-image-2.4.25-1-k7
kernel-image-2.4.25-1-k7-smp
kernel-image-2.4.26-speakup
kernel-image-2.4.26-1-386
kernel-image-2.4.26-1-586tsc
kernel-image-2.4.26-1-686
kernel-image-2.4.26-1-686-smp
kernel-image-2.4.26-1-k6
kernel-image-2.4.26-1-k7
kernel-image-2.4.26-1-k7-smp
kernel-image-2.4.27-1-586tsc
kernel-image-2.4.27-1-k6
kernel-image-2.4.27-1-k7
kernel-image-2.4.27-1-k7-smp
kernel-image-2.4.27-2-586tsc
kernel-image-2.4.27-2-k6
kernel-image-2.4.27-2-k7
kernel-image-2.4.27-2-k7-smp
kernel-image-2.6-386
kernel-image-2.6-686
kernel-image-2.6-686-smp
kernel-image-2.6-k7
kernel-image-2.6-k7-smp
kernel-image-2.6-amd64-generic
kernel-image-2.6-amd64-k8
kernel-image-2.6-amd64-k8-smp
kernel-image-2.6-em64t-p4
kernel-image-2.6-em64t-p4-smp
kernel-image-2.6.3-1-386
kernel-image-2.6.3-1-686
kernel-image-2.6.3-1-686-smp
kernel-image-2.6.3-1-k7
kernel-image-2.6.3-1-k7-smp
kernel-image-2.6.5-1-386
kernel-image-2.6.5-1-686
kernel-image-2.6.5-1-686-smp
kernel-image-2.6.5-1-k7
kernel-image-2.6.5-1-k7-smp
kernel-image-2.6.6-1-386
kernel-image-2.6.6-1-686
kernel-image-2.6.6-1-686-smp
kernel-image-2.6.6-1-k7
kernel-image-2.6.6-1-k7-smp
kernel-image-2.6.7-1-386
kernel-image-2.6.7-1-686
kernel-image-2.6.7-1-686-smp
kernel-image-2.6.7-1-k7
kernel-image-2.6.7-1-k7-smp
kernel-image-2.6.8-1-k7
kernel-image-2.6.8-1-k7-smp
kernel-image-2.6.8-2-k7
kernel-image-2.6.8-2-k7-smp
kernel-image-2.6.8-9-amd64-k8-smp
kernel-image-2.6.8-9-amd64-k8
kernel-image-2.6.8-9-amd64-generic
kernel-image-2.6.8-9-em64t-p4-smp
kernel-image-2.6.8-9-em64t-p4
#ifndef ARCH_amd64
kernel-image-2.6.8-10-em64t-p4
kernel-image-2.6.8-10-em64t-p4-smp
kernel-image-2.6.8-10-amd64-k8
kernel-image-2.6.8-10-amd64-k8-smp
kernel-image-2.6.8-10-amd64-generic
kernel-image-2.6.8-11-em64t-p4
kernel-image-2.6.8-11-em64t-p4-smp
kernel-image-2.6.8-11-amd64-k8
kernel-image-2.6.8-11-amd64-k8-smp
kernel-image-2.6.8-11-amd64-generic
#endif
kernel-image-2.6.9-1-386
kernel-image-2.6.9-1-686
kernel-image-2.6.9-1-686-smp
kernel-image-2.6.9-1-k7
kernel-image-2.6.9-1-k7-smp
kernel-image-2.6.9-1-k7
kernel-image-2.6.9-1-k7-smp
kernel-image-2.6.9-1-amd64-k8-smp
kernel-image-2.6.9-1-amd64-k8
kernel-image-2.6.9-1-amd64-generic
kernel-image-2.6.9-1-em64t-p4-smp
kernel-image-2.6.9-1-em64t-p4
kernel-image-2.6.10-1-386
kernel-image-2.6.10-1-686
kernel-image-2.6.10-1-686-smp
kernel-image-2.6.10-1-k7
kernel-image-2.6.10-1-k7-smp
kernel-image-2.6.10-1-k7
kernel-image-2.6.10-1-k7-smp
kernel-image-2.6.10-1-amd64-k8-smp
kernel-image-2.6.10-1-amd64-k8
kernel-image-2.6.10-1-amd64-generic
kernel-image-2.6.10-1-em64t-p4-smp
kernel-image-2.6.10-1-em64t-p4
kernel-image-2.6.11-1-386
kernel-image-2.6.11-1-686
kernel-image-2.6.11-1-686-smp
kernel-image-2.6.11-1-k7
kernel-image-2.6.11-1-k7-smp
kernel-image-2.6.11-1-k7
kernel-image-2.6.11-1-k7-smp
kernel-image-2.6.11-1-amd64-k8-smp
kernel-image-2.6.11-1-amd64-k8
kernel-image-2.6.11-1-amd64-generic
kernel-image-2.6.11-1-em64t-p4-smp
kernel-image-2.6.11-1-em64t-p4
kernel-image-2.6.12-1-386
kernel-image-2.6.12-1-686
kernel-image-2.6.12-1-686-smp
kernel-image-2.6.12-1-k7
kernel-image-2.6.12-1-k7-smp
kernel-image-2.6.12-1-k7
kernel-image-2.6.12-1-k7-smp
kernel-image-2.6.12-1-amd64-k8-smp
kernel-image-2.6.12-1-amd64-k8
kernel-image-2.6.12-1-amd64-generic
kernel-image-2.6.12-1-em64t-p4-smp
kernel-image-2.6.12-1-em64t-p4
kernel-image-2.6.13-1-386
kernel-image-2.6.13-1-686
kernel-image-2.6.13-1-686-smp
kernel-image-2.6.13-1-k7
kernel-image-2.6.13-1-k7-smp
kernel-image-2.6.13-1-k7
kernel-image-2.6.13-1-k7-smp
kernel-image-2.6.13-1-amd64-k8-smp
kernel-image-2.6.13-1-amd64-k8
kernel-image-2.6.13-1-amd64-generic
kernel-image-2.6.13-1-em64t-p4-smp
kernel-image-2.6.13-1-em64t-p4
kernel-pcmcia-modules-2.4-386
kernel-pcmcia-modules-2.4-586tsc
kernel-pcmcia-modules-2.4-686
kernel-pcmcia-modules-2.4-686-smp
kernel-pcmcia-modules-2.4-k6
kernel-pcmcia-modules-2.4-k7
kernel-pcmcia-modules-2.4-k7-smp
kernel-pcmcia-modules-2.4.24-1-386
kernel-pcmcia-modules-2.4.24-1-586tsc
kernel-pcmcia-modules-2.4.24-1-686
kernel-pcmcia-modules-2.4.24-1-686-smp
kernel-pcmcia-modules-2.4.24-1-k6
kernel-pcmcia-modules-2.4.24-1-k7
kernel-pcmcia-modules-2.4.24-1-k7-smp
kernel-pcmcia-modules-2.4.25-1-386
kernel-pcmcia-modules-2.4.25-1-586tsc
kernel-pcmcia-modules-2.4.25-1-686
kernel-pcmcia-modules-2.4.25-1-686-smp
kernel-pcmcia-modules-2.4.25-1-k6
kernel-pcmcia-modules-2.4.25-1-k7
kernel-pcmcia-modules-2.4.25-1-k7-smp
kernel-pcmcia-modules-2.4.26-1-386
kernel-pcmcia-modules-2.4.26-1-586tsc
kernel-pcmcia-modules-2.4.26-1-686
kernel-pcmcia-modules-2.4.26-1-686-smp
kernel-pcmcia-modules-2.4.26-1-k6
kernel-pcmcia-modules-2.4.26-1-k7
kernel-pcmcia-modules-2.4.26-1-k7-smp
kernel-pcmcia-modules-2.4.27-1-586tsc
kernel-pcmcia-modules-2.4.27-1-k6
kernel-pcmcia-modules-2.4.27-1-k7
kernel-pcmcia-modules-2.4.27-1-k7-smp
kernel-pcmcia-modules-2.4.27-2-586tsc
kernel-pcmcia-modules-2.4.27-2-k6
kernel-pcmcia-modules-2.4.27-2-k7
kernel-pcmcia-modules-2.4.27-2-k7-smp
kernel-pcmcia-modules-2.4.28-1-586tsc
kernel-pcmcia-modules-2.4.28-1-k6
kernel-pcmcia-modules-2.4.28-1-k7
kernel-pcmcia-modules-2.4.28-1-k7-smp
kernel-headers-2.4.27-1-k7
kernel-headers-2.4.27-1-k6
kernel-headers-2.4.27-1-586tsc
kernel-headers-2.4.27-1-k7-smp
kernel-headers-2.4.27-2-686-smp
kernel-headers-2.4.27-2-k6
kernel-headers-2.4.27-2-686
kernel-headers-2.4.27-2
kernel-headers-2.4.27-2-586tsc
kernel-headers-2.4.27-2-k7
kernel-headers-2.4.27-2-k7-smp
kernel-headers-2.4.27-2-386
kernel-headers-2.4-686
kernel-headers-2.4-k7
kernel-headers-2.4-k6
kernel-headers-2.4-586tsc
kernel-headers-2.4-386
kernel-headers-2.4.27-2-686-smp
kernel-headers-2.4-k7-smp
kernel-headers-2.4-686-smp
python2.1
smail
tcl8.0
tk8.0
exim
xserver-xfree86-dbg
zmailer
xmail

View File

@ -1,3 +1,4 @@
flight-of-the-amazon-queen
acorn-fdisk acorn-fdisk
aspell-bg aspell-bg
aspell-br aspell-br
@ -17,153 +18,10 @@ kernel-image-2.4-686-smp
kernel-image-2.4-k6 kernel-image-2.4-k6
kernel-image-2.4-k7 kernel-image-2.4-k7
kernel-image-2.4-k7-smp kernel-image-2.4-k7-smp
kernel-image-2.4.21-5-386 kernel-image-2.4.27-3-586tsc
kernel-image-2.4.21-5-586tsc kernel-image-2.4.27-3-k6
kernel-image-2.4.21-5-686 kernel-image-2.4.27-3-k7
kernel-image-2.4.21-5-686-smp kernel-image-2.4.27-3-k7-smp
kernel-image-2.4.21-5-k6
kernel-image-2.4.21-5-k7
kernel-image-2.4.21-5-k7-smp
kernel-image-2.4.24-1-386
kernel-image-2.4.24-1-586tsc
kernel-image-2.4.24-1-686
kernel-image-2.4.24-1-686-smp
kernel-image-2.4.24-1-k6
kernel-image-2.4.24-1-k7
kernel-image-2.4.24-1-k7-smp
kernel-image-2.4.24-speakup
kernel-image-2.4.25-1-386
kernel-image-2.4.25-1-586tsc
kernel-image-2.4.25-1-686
kernel-image-2.4.25-1-686-smp
kernel-image-2.4.25-1-k6
kernel-image-2.4.25-1-k7
kernel-image-2.4.25-1-k7-smp
kernel-image-2.4.26-speakup
kernel-image-2.4.26-1-386
kernel-image-2.4.26-1-586tsc
kernel-image-2.4.26-1-686
kernel-image-2.4.26-1-686-smp
kernel-image-2.4.26-1-k6
kernel-image-2.4.26-1-k7
kernel-image-2.4.26-1-k7-smp
kernel-image-2.4.27-1-586tsc
kernel-image-2.4.27-1-k6
kernel-image-2.4.27-1-k7
kernel-image-2.4.27-1-k7-smp
kernel-image-2.4.27-2-586tsc
kernel-image-2.4.27-2-k6
kernel-image-2.4.27-2-k7
kernel-image-2.4.27-2-k7-smp
kernel-image-2.6-386
kernel-image-2.6-686
kernel-image-2.6-686-smp
kernel-image-2.6-k7
kernel-image-2.6-k7-smp
kernel-image-2.6-amd64-generic
kernel-image-2.6-amd64-k8
kernel-image-2.6-amd64-k8-smp
kernel-image-2.6-em64t-p4
kernel-image-2.6-em64t-p4-smp
kernel-image-2.6.3-1-386
kernel-image-2.6.3-1-686
kernel-image-2.6.3-1-686-smp
kernel-image-2.6.3-1-k7
kernel-image-2.6.3-1-k7-smp
kernel-image-2.6.5-1-386
kernel-image-2.6.5-1-686
kernel-image-2.6.5-1-686-smp
kernel-image-2.6.5-1-k7
kernel-image-2.6.5-1-k7-smp
kernel-image-2.6.6-1-386
kernel-image-2.6.6-1-686
kernel-image-2.6.6-1-686-smp
kernel-image-2.6.6-1-k7
kernel-image-2.6.6-1-k7-smp
kernel-image-2.6.7-1-386
kernel-image-2.6.7-1-686
kernel-image-2.6.7-1-686-smp
kernel-image-2.6.7-1-k7
kernel-image-2.6.7-1-k7-smp
kernel-image-2.6.8-1-k7
kernel-image-2.6.8-1-k7-smp
kernel-image-2.6.8-2-k7
kernel-image-2.6.8-2-k7-smp
kernel-image-2.6.8-9-amd64-k8-smp
kernel-image-2.6.8-9-amd64-k8
kernel-image-2.6.8-9-amd64-generic
kernel-image-2.6.8-9-em64t-p4-smp
kernel-image-2.6.8-9-em64t-p4
kernel-image-2.6.8-10-em64t-p4
kernel-image-2.6.8-10-em64t-p4-smp
kernel-image-2.6.8-10-amd64-k8
kernel-image-2.6.8-10-amd64-k8-smp
kernel-image-2.6.8-10-amd64-generic
kernel-image-2.6.8-11-em64t-p4
kernel-image-2.6.8-11-em64t-p4-smp
kernel-image-2.6.8-11-amd64-k8
kernel-image-2.6.8-11-amd64-k8-smp
kernel-image-2.6.8-11-amd64-generic
kernel-image-2.6.9-1-386
kernel-image-2.6.9-1-686
kernel-image-2.6.9-1-686-smp
kernel-image-2.6.9-1-k7
kernel-image-2.6.9-1-k7-smp
kernel-image-2.6.9-1-k7
kernel-image-2.6.9-1-k7-smp
kernel-image-2.6.9-1-amd64-k8-smp
kernel-image-2.6.9-1-amd64-k8
kernel-image-2.6.9-1-amd64-generic
kernel-image-2.6.9-1-em64t-p4-smp
kernel-image-2.6.9-1-em64t-p4
kernel-image-2.6.10-1-386
kernel-image-2.6.10-1-686
kernel-image-2.6.10-1-686-smp
kernel-image-2.6.10-1-k7
kernel-image-2.6.10-1-k7-smp
kernel-image-2.6.10-1-k7
kernel-image-2.6.10-1-k7-smp
kernel-image-2.6.10-1-amd64-k8-smp
kernel-image-2.6.10-1-amd64-k8
kernel-image-2.6.10-1-amd64-generic
kernel-image-2.6.10-1-em64t-p4-smp
kernel-image-2.6.10-1-em64t-p4
kernel-image-2.6.11-1-386
kernel-image-2.6.11-1-686
kernel-image-2.6.11-1-686-smp
kernel-image-2.6.11-1-k7
kernel-image-2.6.11-1-k7-smp
kernel-image-2.6.11-1-k7
kernel-image-2.6.11-1-k7-smp
kernel-image-2.6.11-1-amd64-k8-smp
kernel-image-2.6.11-1-amd64-k8
kernel-image-2.6.11-1-amd64-generic
kernel-image-2.6.11-1-em64t-p4-smp
kernel-image-2.6.11-1-em64t-p4
kernel-image-2.6.12-1-386
kernel-image-2.6.12-1-686
kernel-image-2.6.12-1-686-smp
kernel-image-2.6.12-1-k7
kernel-image-2.6.12-1-k7-smp
kernel-image-2.6.12-1-k7
kernel-image-2.6.12-1-k7-smp
kernel-image-2.6.12-1-amd64-k8-smp
kernel-image-2.6.12-1-amd64-k8
kernel-image-2.6.12-1-amd64-generic
kernel-image-2.6.12-1-em64t-p4-smp
kernel-image-2.6.12-1-em64t-p4
kernel-image-2.6.13-1-386
kernel-image-2.6.13-1-686
kernel-image-2.6.13-1-686-smp
kernel-image-2.6.13-1-k7
kernel-image-2.6.13-1-k7-smp
kernel-image-2.6.13-1-k7
kernel-image-2.6.13-1-k7-smp
kernel-image-2.6.13-1-amd64-k8-smp
kernel-image-2.6.13-1-amd64-k8
kernel-image-2.6.13-1-amd64-generic
kernel-image-2.6.13-1-em64t-p4-smp
kernel-image-2.6.13-1-em64t-p4
kernel-pcmcia-modules-2.4-386 kernel-pcmcia-modules-2.4-386
kernel-pcmcia-modules-2.4-586tsc kernel-pcmcia-modules-2.4-586tsc
kernel-pcmcia-modules-2.4-686 kernel-pcmcia-modules-2.4-686
@ -171,59 +29,40 @@ kernel-pcmcia-modules-2.4-686-smp
kernel-pcmcia-modules-2.4-k6 kernel-pcmcia-modules-2.4-k6
kernel-pcmcia-modules-2.4-k7 kernel-pcmcia-modules-2.4-k7
kernel-pcmcia-modules-2.4-k7-smp kernel-pcmcia-modules-2.4-k7-smp
kernel-pcmcia-modules-2.4.24-1-386 kernel-pcmcia-modules-2.4.27-3-586tsc
kernel-pcmcia-modules-2.4.24-1-586tsc kernel-pcmcia-modules-2.4.27-3-k6
kernel-pcmcia-modules-2.4.24-1-686 kernel-pcmcia-modules-2.4.27-3-k7
kernel-pcmcia-modules-2.4.24-1-686-smp kernel-pcmcia-modules-2.4.27-3-k7-smp
kernel-pcmcia-modules-2.4.24-1-k6
kernel-pcmcia-modules-2.4.24-1-k7
kernel-pcmcia-modules-2.4.24-1-k7-smp
kernel-pcmcia-modules-2.4.25-1-386
kernel-pcmcia-modules-2.4.25-1-586tsc
kernel-pcmcia-modules-2.4.25-1-686
kernel-pcmcia-modules-2.4.25-1-686-smp
kernel-pcmcia-modules-2.4.25-1-k6
kernel-pcmcia-modules-2.4.25-1-k7
kernel-pcmcia-modules-2.4.25-1-k7-smp
kernel-pcmcia-modules-2.4.26-1-386
kernel-pcmcia-modules-2.4.26-1-586tsc
kernel-pcmcia-modules-2.4.26-1-686
kernel-pcmcia-modules-2.4.26-1-686-smp
kernel-pcmcia-modules-2.4.26-1-k6
kernel-pcmcia-modules-2.4.26-1-k7
kernel-pcmcia-modules-2.4.26-1-k7-smp
kernel-pcmcia-modules-2.4.27-1-586tsc
kernel-pcmcia-modules-2.4.27-1-k6
kernel-pcmcia-modules-2.4.27-1-k7
kernel-pcmcia-modules-2.4.27-1-k7-smp
kernel-pcmcia-modules-2.4.27-2-586tsc
kernel-pcmcia-modules-2.4.27-2-k6
kernel-pcmcia-modules-2.4.27-2-k7
kernel-pcmcia-modules-2.4.27-2-k7-smp
kernel-pcmcia-modules-2.4.28-1-586tsc
kernel-pcmcia-modules-2.4.28-1-k6
kernel-pcmcia-modules-2.4.28-1-k7
kernel-pcmcia-modules-2.4.28-1-k7-smp
kernel-headers-2.4.27-1-k7
kernel-headers-2.4.27-1-k6
kernel-headers-2.4.27-1-586tsc
kernel-headers-2.4.27-1-k7-smp
kernel-headers-2.4.27-2-686-smp
kernel-headers-2.4.27-2-k6
kernel-headers-2.4.27-2-686
kernel-headers-2.4.27-2
kernel-headers-2.4.27-2-586tsc
kernel-headers-2.4.27-2-k7
kernel-headers-2.4.27-2-k7-smp
kernel-headers-2.4.27-2-386
kernel-headers-2.4-686
kernel-headers-2.4-k7
kernel-headers-2.4-k6
kernel-headers-2.4-586tsc
kernel-headers-2.4-386 kernel-headers-2.4-386
kernel-headers-2.4.27-2-686-smp kernel-headers-2.4-586tsc
kernel-headers-2.4-k7-smp kernel-headers-2.4-686
kernel-headers-2.4-686-smp kernel-headers-2.4-686-smp
kernel-headers-2.4-k6
kernel-headers-2.4-k7
kernel-headers-2.4-k7-smp
kernel-headers-2.4.27-3-586tsc
kernel-headers-2.4.27-3-k6
kernel-headers-2.4.27-3-k7
kernel-headers-2.4.27-3-k7-smp
kernel-image-2.6-386
kernel-image-2.6-686
kernel-image-2.6-686-smp
kernel-image-2.6-k7
kernel-image-2.6-k7-smp
kernel-image-2.6.8-4-k7
kernel-image-2.6.8-4-k7-smp
kernel-image-2.6-amd64-generic
kernel-image-2.6-amd64-k8
kernel-image-2.6-amd64-k8-smp
kernel-image-2.6-em64t-p4
kernel-image-2.6-em64t-p4-smp
#ifndef ARCH_amd64
kernel-image-2.6.8-13-amd64-k8-smp
kernel-image-2.6.8-13-amd64-k8
kernel-image-2.6.8-13-amd64-generic
kernel-image-2.6.8-13-em64t-p4-smp
kernel-image-2.6.8-13-em64t-p4
#endif
python2.1 python2.1
smail smail
tcl8.0 tcl8.0

View File

@ -0,0 +1,234 @@
acorn-fdisk
aspell-bg
aspell-br
aspell-cy
aspell-da
aspell-de
aspell-el
aspell-es
aspell-fr
aspell-pt
cfdisk-utf8
gcc272
kernel-image-2.4-386
kernel-image-2.4-586tsc
kernel-image-2.4-686
kernel-image-2.4-686-smp
kernel-image-2.4-k6
kernel-image-2.4-k7
kernel-image-2.4-k7-smp
kernel-image-2.4.21-5-386
kernel-image-2.4.21-5-586tsc
kernel-image-2.4.21-5-686
kernel-image-2.4.21-5-686-smp
kernel-image-2.4.21-5-k6
kernel-image-2.4.21-5-k7
kernel-image-2.4.21-5-k7-smp
kernel-image-2.4.24-1-386
kernel-image-2.4.24-1-586tsc
kernel-image-2.4.24-1-686
kernel-image-2.4.24-1-686-smp
kernel-image-2.4.24-1-k6
kernel-image-2.4.24-1-k7
kernel-image-2.4.24-1-k7-smp
kernel-image-2.4.24-speakup
kernel-image-2.4.25-1-386
kernel-image-2.4.25-1-586tsc
kernel-image-2.4.25-1-686
kernel-image-2.4.25-1-686-smp
kernel-image-2.4.25-1-k6
kernel-image-2.4.25-1-k7
kernel-image-2.4.25-1-k7-smp
kernel-image-2.4.26-speakup
kernel-image-2.4.26-1-386
kernel-image-2.4.26-1-586tsc
kernel-image-2.4.26-1-686
kernel-image-2.4.26-1-686-smp
kernel-image-2.4.26-1-k6
kernel-image-2.4.26-1-k7
kernel-image-2.4.26-1-k7-smp
kernel-image-2.4.27-1-586tsc
kernel-image-2.4.27-1-k6
kernel-image-2.4.27-1-k7
kernel-image-2.4.27-1-k7-smp
kernel-image-2.4.27-2-586tsc
kernel-image-2.4.27-2-k6
kernel-image-2.4.27-2-k7
kernel-image-2.4.27-2-k7-smp
kernel-image-2.6-386
kernel-image-2.6-686
kernel-image-2.6-686-smp
kernel-image-2.6-k7
kernel-image-2.6-k7-smp
kernel-image-2.6-amd64-generic
kernel-image-2.6-amd64-k8
kernel-image-2.6-amd64-k8-smp
kernel-image-2.6-em64t-p4
kernel-image-2.6-em64t-p4-smp
kernel-image-2.6.3-1-386
kernel-image-2.6.3-1-686
kernel-image-2.6.3-1-686-smp
kernel-image-2.6.3-1-k7
kernel-image-2.6.3-1-k7-smp
kernel-image-2.6.5-1-386
kernel-image-2.6.5-1-686
kernel-image-2.6.5-1-686-smp
kernel-image-2.6.5-1-k7
kernel-image-2.6.5-1-k7-smp
kernel-image-2.6.6-1-386
kernel-image-2.6.6-1-686
kernel-image-2.6.6-1-686-smp
kernel-image-2.6.6-1-k7
kernel-image-2.6.6-1-k7-smp
kernel-image-2.6.7-1-386
kernel-image-2.6.7-1-686
kernel-image-2.6.7-1-686-smp
kernel-image-2.6.7-1-k7
kernel-image-2.6.7-1-k7-smp
kernel-image-2.6.8-1-k7
kernel-image-2.6.8-1-k7-smp
kernel-image-2.6.8-2-k7
kernel-image-2.6.8-2-k7-smp
kernel-image-2.6.8-9-amd64-k8-smp
kernel-image-2.6.8-9-amd64-k8
kernel-image-2.6.8-9-amd64-generic
kernel-image-2.6.8-9-em64t-p4-smp
kernel-image-2.6.8-9-em64t-p4
kernel-image-2.6.8-10-em64t-p4
kernel-image-2.6.8-10-em64t-p4-smp
kernel-image-2.6.8-10-amd64-k8
kernel-image-2.6.8-10-amd64-k8-smp
kernel-image-2.6.8-10-amd64-generic
kernel-image-2.6.8-11-em64t-p4
kernel-image-2.6.8-11-em64t-p4-smp
kernel-image-2.6.8-11-amd64-k8
kernel-image-2.6.8-11-amd64-k8-smp
kernel-image-2.6.8-11-amd64-generic
kernel-image-2.6.9-1-386
kernel-image-2.6.9-1-686
kernel-image-2.6.9-1-686-smp
kernel-image-2.6.9-1-k7
kernel-image-2.6.9-1-k7-smp
kernel-image-2.6.9-1-k7
kernel-image-2.6.9-1-k7-smp
kernel-image-2.6.9-1-amd64-k8-smp
kernel-image-2.6.9-1-amd64-k8
kernel-image-2.6.9-1-amd64-generic
kernel-image-2.6.9-1-em64t-p4-smp
kernel-image-2.6.9-1-em64t-p4
kernel-image-2.6.10-1-386
kernel-image-2.6.10-1-686
kernel-image-2.6.10-1-686-smp
kernel-image-2.6.10-1-k7
kernel-image-2.6.10-1-k7-smp
kernel-image-2.6.10-1-k7
kernel-image-2.6.10-1-k7-smp
kernel-image-2.6.10-1-amd64-k8-smp
kernel-image-2.6.10-1-amd64-k8
kernel-image-2.6.10-1-amd64-generic
kernel-image-2.6.10-1-em64t-p4-smp
kernel-image-2.6.10-1-em64t-p4
kernel-image-2.6.11-1-386
kernel-image-2.6.11-1-686
kernel-image-2.6.11-1-686-smp
kernel-image-2.6.11-1-k7
kernel-image-2.6.11-1-k7-smp
kernel-image-2.6.11-1-k7
kernel-image-2.6.11-1-k7-smp
kernel-image-2.6.11-1-amd64-k8-smp
kernel-image-2.6.11-1-amd64-k8
kernel-image-2.6.11-1-amd64-generic
kernel-image-2.6.11-1-em64t-p4-smp
kernel-image-2.6.11-1-em64t-p4
kernel-image-2.6.12-1-386
kernel-image-2.6.12-1-686
kernel-image-2.6.12-1-686-smp
kernel-image-2.6.12-1-k7
kernel-image-2.6.12-1-k7-smp
kernel-image-2.6.12-1-k7
kernel-image-2.6.12-1-k7-smp
kernel-image-2.6.12-1-amd64-k8-smp
kernel-image-2.6.12-1-amd64-k8
kernel-image-2.6.12-1-amd64-generic
kernel-image-2.6.12-1-em64t-p4-smp
kernel-image-2.6.12-1-em64t-p4
kernel-image-2.6.13-1-386
kernel-image-2.6.13-1-686
kernel-image-2.6.13-1-686-smp
kernel-image-2.6.13-1-k7
kernel-image-2.6.13-1-k7-smp
kernel-image-2.6.13-1-k7
kernel-image-2.6.13-1-k7-smp
kernel-image-2.6.13-1-amd64-k8-smp
kernel-image-2.6.13-1-amd64-k8
kernel-image-2.6.13-1-amd64-generic
kernel-image-2.6.13-1-em64t-p4-smp
kernel-image-2.6.13-1-em64t-p4
kernel-pcmcia-modules-2.4-386
kernel-pcmcia-modules-2.4-586tsc
kernel-pcmcia-modules-2.4-686
kernel-pcmcia-modules-2.4-686-smp
kernel-pcmcia-modules-2.4-k6
kernel-pcmcia-modules-2.4-k7
kernel-pcmcia-modules-2.4-k7-smp
kernel-pcmcia-modules-2.4.24-1-386
kernel-pcmcia-modules-2.4.24-1-586tsc
kernel-pcmcia-modules-2.4.24-1-686
kernel-pcmcia-modules-2.4.24-1-686-smp
kernel-pcmcia-modules-2.4.24-1-k6
kernel-pcmcia-modules-2.4.24-1-k7
kernel-pcmcia-modules-2.4.24-1-k7-smp
kernel-pcmcia-modules-2.4.25-1-386
kernel-pcmcia-modules-2.4.25-1-586tsc
kernel-pcmcia-modules-2.4.25-1-686
kernel-pcmcia-modules-2.4.25-1-686-smp
kernel-pcmcia-modules-2.4.25-1-k6
kernel-pcmcia-modules-2.4.25-1-k7
kernel-pcmcia-modules-2.4.25-1-k7-smp
kernel-pcmcia-modules-2.4.26-1-386
kernel-pcmcia-modules-2.4.26-1-586tsc
kernel-pcmcia-modules-2.4.26-1-686
kernel-pcmcia-modules-2.4.26-1-686-smp
kernel-pcmcia-modules-2.4.26-1-k6
kernel-pcmcia-modules-2.4.26-1-k7
kernel-pcmcia-modules-2.4.26-1-k7-smp
kernel-pcmcia-modules-2.4.27-1-586tsc
kernel-pcmcia-modules-2.4.27-1-k6
kernel-pcmcia-modules-2.4.27-1-k7
kernel-pcmcia-modules-2.4.27-1-k7-smp
kernel-pcmcia-modules-2.4.27-2-586tsc
kernel-pcmcia-modules-2.4.27-2-k6
kernel-pcmcia-modules-2.4.27-2-k7
kernel-pcmcia-modules-2.4.27-2-k7-smp
kernel-pcmcia-modules-2.4.28-1-586tsc
kernel-pcmcia-modules-2.4.28-1-k6
kernel-pcmcia-modules-2.4.28-1-k7
kernel-pcmcia-modules-2.4.28-1-k7-smp
kernel-headers-2.4.27-1-k7
kernel-headers-2.4.27-1-k6
kernel-headers-2.4.27-1-586tsc
kernel-headers-2.4.27-1-k7-smp
kernel-headers-2.4.27-2-686-smp
kernel-headers-2.4.27-2-k6
kernel-headers-2.4.27-2-686
kernel-headers-2.4.27-2
kernel-headers-2.4.27-2-586tsc
kernel-headers-2.4.27-2-k7
kernel-headers-2.4.27-2-k7-smp
kernel-headers-2.4.27-2-386
kernel-headers-2.4-686
kernel-headers-2.4-k7
kernel-headers-2.4-k6
kernel-headers-2.4-586tsc
kernel-headers-2.4-386
kernel-headers-2.4.27-2-686-smp
kernel-headers-2.4-k7-smp
kernel-headers-2.4-686-smp
python2.1
smail
tcl8.0
tk8.0
exim
xserver-xfree86-dbg
zmailer
xmail

View File

@ -18,7 +18,7 @@ fi
if [ ! -d dists/$CODENAME ] ; then if [ ! -d dists/$CODENAME ] ; then
mkdir -p dists/$CODENAME mkdir -p dists/$CODENAME
for name in stable unstable frozen testing; do for name in stable unstable oldstable frozen testing; do
ln -sf $CODENAME dists/$name ln -sf $CODENAME dists/$name
done done
fi fi

View File

@ -38,31 +38,31 @@ while (defined($_ = <LIST>)) {
# a symbolic link in binary-$ARCH or if arch=all and filename is a # a symbolic link in binary-$ARCH or if arch=all and filename is a
# symbolic link we suppose that the link points to # symbolic link we suppose that the link points to
# .../binary-all/... and we reproduce a similar setup on the CD # .../binary-all/... and we reproduce a similar setup on the CD
if ($arch eq "all" and (-l "$source/$file" or # if ($arch eq "all" and (-l "$source/$file" or
$file =~ m#/binary-all/#)) { # $file =~ m#/binary-all/#)) {
$file =~ s#/binary-all/#/binary-$ENV{'ARCH'}/#g; # $file =~ s#/binary-all/#/binary-$ENV{'ARCH'}/#g;
#
# Check that the directory where the link will be created does # # Check that the directory where the link will be created does
# exist # # exist
my $pdir = "$dir/$file"; # my $pdir = "$dir/$file";
$pdir =~ s#[^/]+$##g; # $pdir =~ s#[^/]+$##g;
if (! -d $pdir) # if (! -d $pdir)
{ # {
system("mkdir -p $pdir"); # system("mkdir -p $pdir");
} # }
#
# Create the symlink from binary-$arch to binary-all # # Create the symlink from binary-$arch to binary-all
if ($section =~ /non-US/ || $file =~ /updates/ ) { # if ($section =~ /non-US/ || $file =~ /updates/ ) {
$file =~ m#/([^/]+)$# and $name = $1; # $file =~ m#/([^/]+)$# and $name = $1;
symlink ("../binary-all/$name", "$dir/$file") || # symlink ("../binary-all/$name", "$dir/$file") ||
die "Can't symlink $dir/$file to ../binary-all/$name: $!"; # die "Can't symlink $dir/$file to ../binary-all/$name: $!";
} else { # } else {
$file =~ m#/([^/]+/[^/]+)$# and $name = $1; # $file =~ m#/([^/]+/[^/]+)$# and $name = $1;
symlink ("../../binary-all/$name", "$dir/$file") || # symlink ("../../binary-all/$name", "$dir/$file") ||
die "Can't symlink $dir/$file to ../../binary-all/$name: $!"; # die "Can't symlink $dir/$file to ../../binary-all/$name: $!";
} # }
$file =~ s#/binary-$ENV{'ARCH'}/#/binary-all/#g; # $file =~ s#/binary-$ENV{'ARCH'}/#/binary-all/#g;
} # }
# And we put the file in the CD tree (with a (hard) link) # And we put the file in the CD tree (with a (hard) link)
$realfile = real_file ("$source/$file"); $realfile = real_file ("$source/$file");

View File

@ -1,8 +1,9 @@
BOOT_SIZE_1=11 BOOT_SIZE_1=28
BOOT_SIZE_10=2 BOOT_SIZE_10=2
BOOT_SIZE_11=2 BOOT_SIZE_11=2
BOOT_SIZE_12=2 BOOT_SIZE_12=2
BOOT_SIZE_13=2 BOOT_SIZE_13=2
BOOT_SIZE_14=2
BOOT_SIZE_2=2 BOOT_SIZE_2=2
BOOT_SIZE_3=2 BOOT_SIZE_3=2
BOOT_SIZE_4=2 BOOT_SIZE_4=2

View File

@ -0,0 +1,13 @@
BOOT_SIZE_1=9
BOOT_SIZE_10=2
BOOT_SIZE_11=2
BOOT_SIZE_12=2
BOOT_SIZE_13=2
BOOT_SIZE_2=2
BOOT_SIZE_3=2
BOOT_SIZE_4=2
BOOT_SIZE_5=2
BOOT_SIZE_6=2
BOOT_SIZE_7=2
BOOT_SIZE_8=2
BOOT_SIZE_9=2

View File

@ -1,7 +1,8 @@
BOOT_SIZE_1=17 BOOT_SIZE_1=33
BOOT_SIZE_10=2 BOOT_SIZE_10=2
BOOT_SIZE_11=2 BOOT_SIZE_11=2
BOOT_SIZE_12=2 BOOT_SIZE_12=2
BOOT_SIZE_13=2
BOOT_SIZE_2=2 BOOT_SIZE_2=2
BOOT_SIZE_3=2 BOOT_SIZE_3=2
BOOT_SIZE_4=2 BOOT_SIZE_4=2

View File

@ -1,8 +1,9 @@
BOOT_SIZE_1=18 BOOT_SIZE_1=40
BOOT_SIZE_10=2 BOOT_SIZE_10=2
BOOT_SIZE_11=2 BOOT_SIZE_11=2
BOOT_SIZE_12=2 BOOT_SIZE_12=2
BOOT_SIZE_13=2 BOOT_SIZE_13=2
BOOT_SIZE_14=2
BOOT_SIZE_2=2 BOOT_SIZE_2=2
BOOT_SIZE_3=2 BOOT_SIZE_3=2
BOOT_SIZE_4=2 BOOT_SIZE_4=2

View File

@ -1,14 +1,14 @@
BOOT_SIZE_1=26 BOOT_SIZE_1=45
BOOT_SIZE_10=2 BOOT_SIZE_10=1
BOOT_SIZE_11=2 BOOT_SIZE_11=1
BOOT_SIZE_12=2 BOOT_SIZE_12=1
BOOT_SIZE_13=2 BOOT_SIZE_13=1
BOOT_SIZE_14=2 BOOT_SIZE_14=1
BOOT_SIZE_2=4 BOOT_SIZE_2=4
BOOT_SIZE_3=2 BOOT_SIZE_3=1
BOOT_SIZE_4=2 BOOT_SIZE_4=1
BOOT_SIZE_5=2 BOOT_SIZE_5=1
BOOT_SIZE_6=2 BOOT_SIZE_6=1
BOOT_SIZE_7=2 BOOT_SIZE_7=1
BOOT_SIZE_8=2 BOOT_SIZE_8=1
BOOT_SIZE_9=2 BOOT_SIZE_9=1

View File

@ -1,9 +1,10 @@
BOOT_SIZE_1=39 BOOT_SIZE_1=55
BOOT_SIZE_10=2 BOOT_SIZE_10=2
BOOT_SIZE_11=2 BOOT_SIZE_11=2
BOOT_SIZE_12=2 BOOT_SIZE_12=2
BOOT_SIZE_13=2 BOOT_SIZE_13=2
BOOT_SIZE_14=2 BOOT_SIZE_14=2
BOOT_SIZE_15=2
BOOT_SIZE_2=2 BOOT_SIZE_2=2
BOOT_SIZE_3=2 BOOT_SIZE_3=2
BOOT_SIZE_4=2 BOOT_SIZE_4=2

View File

@ -1,4 +1,4 @@
BOOT_SIZE_1=29 BOOT_SIZE_1=46
SIZE_MULT_1=97 SIZE_MULT_1=97
BOOT_SIZE_10=2 BOOT_SIZE_10=2
SIZE_MULT_10=97 SIZE_MULT_10=97
@ -6,6 +6,8 @@ BOOT_SIZE_11=2
SIZE_MULT_11=97 SIZE_MULT_11=97
BOOT_SIZE_12=2 BOOT_SIZE_12=2
SIZE_MULT_12=97 SIZE_MULT_12=97
BOOT_SIZE_13=2
SIZE_MULT_13=97
BOOT_SIZE_2=2 BOOT_SIZE_2=2
SIZE_MULT_2=97 SIZE_MULT_2=97
BOOT_SIZE_3=2 BOOT_SIZE_3=2

View File

@ -1,7 +1,8 @@
BOOT_SIZE_1=15 BOOT_SIZE_1=31
BOOT_SIZE_10=2 BOOT_SIZE_10=2
BOOT_SIZE_11=2 BOOT_SIZE_11=2
BOOT_SIZE_12=2 BOOT_SIZE_12=2
BOOT_SIZE_13=2
BOOT_SIZE_2=2 BOOT_SIZE_2=2
BOOT_SIZE_3=2 BOOT_SIZE_3=2
BOOT_SIZE_4=2 BOOT_SIZE_4=2

View File

@ -1,7 +1,8 @@
BOOT_SIZE_1=14 BOOT_SIZE_1=30
BOOT_SIZE_10=2 BOOT_SIZE_10=2
BOOT_SIZE_11=2 BOOT_SIZE_11=2
BOOT_SIZE_12=2 BOOT_SIZE_12=2
BOOT_SIZE_13=2
BOOT_SIZE_2=2 BOOT_SIZE_2=2
BOOT_SIZE_3=2 BOOT_SIZE_3=2
BOOT_SIZE_4=2 BOOT_SIZE_4=2

View File

@ -1,4 +1,4 @@
BOOT_SIZE_1=81 BOOT_SIZE_1=91
BOOT_SIZE_10=2 BOOT_SIZE_10=2
BOOT_SIZE_11=2 BOOT_SIZE_11=2
BOOT_SIZE_12=2 BOOT_SIZE_12=2
@ -12,4 +12,4 @@ BOOT_SIZE_6=2
BOOT_SIZE_7=2 BOOT_SIZE_7=2
BOOT_SIZE_8=2 BOOT_SIZE_8=2
BOOT_SIZE_9=2 BOOT_SIZE_9=2
SIZE_MULT_1=93 SIZE_MULT_1=96

View File

@ -1,4 +1,4 @@
BOOT_SIZE_1=7 BOOT_SIZE_1=22
BOOT_SIZE_10=2 BOOT_SIZE_10=2
BOOT_SIZE_11=2 BOOT_SIZE_11=2
BOOT_SIZE_12=2 BOOT_SIZE_12=2

View File

@ -1,4 +1,4 @@
BOOT_SIZE_1=13 BOOT_SIZE_1=32
BOOT_SIZE_10=2 BOOT_SIZE_10=2
BOOT_SIZE_11=2 BOOT_SIZE_11=2
BOOT_SIZE_12=2 BOOT_SIZE_12=2

View File

@ -234,8 +234,14 @@ if ($complete) {
|| ($a cmp $b) } || ($a cmp $b) }
grep { not ($included{$_} or $excluded{$_}) } keys %sources) grep { not ($included{$_} or $excluded{$_}) } keys %sources)
{ {
add_src ($p); if ($p eq "ia32-libs") {
msg(0, "Leaving ia32-libs to the end\n");
} else {
add_src ($p);
}
} }
msg(0, "Now adding ia32-libs\n");
add_src("ia32-libs");
} }
msg(0, "CD $cd will only be filled with $cd_size bytes ...\n"); msg(0, "CD $cd will only be filled with $cd_size bytes ...\n");

View File

@ -31,7 +31,7 @@ do
for FILE in $FILES for FILE in $FILES
do do
echo " $FILE" echo " $FILE"
cp -al $MIRROR/$FILE $BDIR/CD$DISKNUM/extra-sources cp -aL $MIRROR/$FILE $BDIR/CD$DISKNUM/extra-sources
done done
done done

View File

@ -41,67 +41,94 @@ jfsutils
reiserfsprogs reiserfsprogs
libfribidi0 libfribidi0
localization-config localization-config
acpid
initramfs-tools
#ifdef ARCH_i386 #ifdef ARCH_i386
discover discover
discover1 discover1
grub grub
lilo lilo
/* Note that we do not have to include every optimised kernel flavor for EOF
* i386. Kernel headers are included as third party modules are commonly
* used on this architecture.
*/
kernel-image-2.4-386
kernel-pcmcia-modules-2.4-386
kernel-headers-2.4-386
linux-image-2.6-386
linux-headers-2.6-386
#endif
/bin/sed -n 's/Package: \(kernel-image-2.4.*-386\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-i386/Packages|/usr/bin/tail -n 1 \
>> debian-installer+kernel-$DI_CODENAME
/bin/sed -n 's/Package: \(kernel-pcmcia-modules-2.4.*-386\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-i386/Packages|/usr/bin/tail -n 1 \
>> debian-installer+kernel-$DI_CODENAME
/bin/sed -n 's/Package: \(kernel-image-2.6.*-386\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-i386/Packages|/usr/bin/tail -n 1 \
>> debian-installer+kernel-$DI_CODENAME
cat >> debian-installer+kernel-$DI_CODENAME << EOF
#endif
#ifdef ARCH_amd64 #ifdef ARCH_amd64
discover discover
discover1 discover1
grub grub
lilo lilo
linux-image-2.6-amd64-generic EOF
linux-headers-2.6-amd64-generic
#endif
if [ ! -e $MIRROR/dists/$CODENAME/main/binary-amd64/Packages ]; then
echo "Cannot find amd64 packages file, inserting static entry as workaround" >&2
echo kernel-image-2.6.8-11-amd64-generic >> debian-installer+kernel-$DI_CODENAME
else
/bin/sed -n 's/Package: \(kernel-image-2.6.*-generic\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-amd64/Packages|/usr/bin/tail -n 1 \
>> debian-installer+kernel-$DI_CODENAME
/bin/sed -n 's/Package: \(kernel-pcmcia-modules-2.6.*-generic\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-amd64/Packages|/usr/bin/tail -n 1 \
>> debian-installer+kernel-$DI_CODENAME
fi
cat >> debian-installer+kernel-$DI_CODENAME << EOF
#endif
#ifdef ARCH_alpha #ifdef ARCH_alpha
aboot aboot
aboot-base aboot-base
discover1 discover1
kernel-image-2.4-generic EOF
kernel-image-2.4-smp
#endif
/bin/sed -n 's/Package: \(kernel-image-.*\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-alpha/Packages|grep -v 2.4.21 \
>> debian-installer+kernel-$DI_CODENAME
cat >> debian-installer+kernel-$DI_CODENAME << EOF
#endif
#ifdef ARCH_hppa #ifdef ARCH_hppa
discover1 discover1
linux-image-2.6-parisc EOF
linux-image-2.6-parisc-smp
linux-image-2.6-parisc64
linux-image-2.6-parisc64-smp
#endif
/bin/sed -n 's/Package: \(kernel-image-2.6.*\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-hppa/Packages|tail -n4 \
>> debian-installer+kernel-$DI_CODENAME
cat >> debian-installer+kernel-$DI_CODENAME << EOF
#endif
#ifdef ARCH_ia64 #ifdef ARCH_ia64
discover1 discover1
initrd-tools initrd-tools
linux-image-2.6-itanium EOF
linux-image-2.6-itanium-smp
linux-image-2.6-mckinley
linux-image-2.6-mckinley-smp
#endif
/bin/sed -n 's/Package: \(kernel-image-2\.4\..*\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-ia64/Packages | tail -n 4 \
>> debian-installer+kernel-$DI_CODENAME
/bin/sed -n 's/Package: \(kernel-image-2\.4-.*\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-ia64/Packages \
>> debian-installer+kernel-$DI_CODENAME
/bin/sed -n 's/Package: \(kernel-image-2\.6\..*\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-ia64/Packages | tail -n 4 \
>> debian-installer+kernel-$DI_CODENAME
/bin/sed -n 's/Package: \(kernel-image-2\.6-.*\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-ia64/Packages \
>> debian-installer+kernel-$DI_CODENAME
cat >> debian-installer+kernel-$DI_CODENAME << EOF
#endif
#ifdef ARCH_mips #ifdef ARCH_mips
arcboot arcboot
EOF EOF
# Only include mips kernels that d-i base-installer installs. # Only include mips kernels that d-i base-installer installs.
# XXX once mips gets kernel-image-2.4-<subarch> packages, use those for subarch in r4k-ip22 r5k-ip22; do
# instead.
for subarch in r4k-ip22 r5k-ip22 sb1-swarm-bn; do
sed -n 's/Package: \(kernel-image-.*-.*\)$/\1/p' \ sed -n 's/Package: \(kernel-image-.*-.*\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-mips/Packages \ $MIRROR/dists/$CODENAME/main/binary-mips/Packages \
| grep -- "-$subarch$" | sort -n | tail -n 1 \ | grep -- "-$subarch$" | sort -n | tail -n 1 \
@ -110,15 +137,12 @@ done
cat >> debian-installer+kernel-$DI_CODENAME << EOF cat >> debian-installer+kernel-$DI_CODENAME << EOF
#endif #endif
#ifdef ARCH_mipsel #ifdef ARCH_mipsel
delo delo
EOF EOF
# Only include mipsel kernels that d-i base-installer installs. # Only include mipsel kernels that d-i base-installer installs.
# XXX once mips gets kernel-image-2.4-<subarch> packages, use those for subarch in r3k-kn02 r4k-kn04; do
# instead.
for subarch in r3k-kn02 r4k-kn04 cobalt lasat; do
sed -n 's/Package: \(kernel-image-.*-.*\)$/\1/p' \ sed -n 's/Package: \(kernel-image-.*-.*\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-mipsel/Packages \ $MIRROR/dists/$CODENAME/main/binary-mipsel/Packages \
| grep -- "-$subarch$" | sort -n | tail -n 1 \ | grep -- "-$subarch$" | sort -n | tail -n 1 \
@ -127,23 +151,16 @@ done
cat >> debian-installer+kernel-$DI_CODENAME << EOF cat >> debian-installer+kernel-$DI_CODENAME << EOF
#endif #endif
#ifdef ARCH_powerpc #ifdef ARCH_powerpc
discover1 discover1
quik quik
yaboot yaboot
hfsutils
mkvmlinuz mkvmlinuz
module-init-tools module-init-tools
initrd-tools initrd-tools
linux-image-2.6-powerpc
linux-image-2.6-powerpc-smp
linux-image-2.6-powerpc64
EOF EOF
# Only include powerpc kernels that d-i base-installer installs. # Only include powerpc kernels that d-i base-installer installs.
# XXX once powerpc 2.4 gets kernel-image-2.4-<subarch> packages, use those
# instead, but beware of apus.
for subarch in powerpc power3 power4 power3-pmac power3-chrp-rs6k \ for subarch in powerpc power3 power4 power3-pmac power3-chrp-rs6k \
power4-pmac power4-chrp-rs6k powerpc-pmac \ power4-pmac power4-chrp-rs6k powerpc-pmac \
powerpc-prep powerpc-chrp powerpc-chrp-rs6k apus; do powerpc-prep powerpc-chrp powerpc-chrp-rs6k apus; do
@ -155,30 +172,27 @@ done
cat >> debian-installer+kernel-$DI_CODENAME << EOF cat >> debian-installer+kernel-$DI_CODENAME << EOF
#endif #endif
#ifdef ARCH_sparc #ifdef ARCH_sparc
discover1 discover1
initrd-tools initrd-tools
linux-image-2.6-sparc64 EOF
linux-image-2.6-sparc64-smp
kernel-image-2.4-sparc32
kernel-image-2.4-sparc32-smp
kernel-image-2.4-sparc64
kernel-image-2.4-sparc64-smp
#endif
/bin/sed -n 's/Package: \(kernel-image-.*-sparc.*\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-sparc/Packages \
>> debian-installer+kernel-$DI_CODENAME
cat >> debian-installer+kernel-$DI_CODENAME << EOF
#endif
#ifdef ARCH_m68k #ifdef ARCH_m68k
fileutils fileutils
EOF EOF
# Get all the latest 2.2 for mac kernel # Get all the latest 2.2 for mac kernel
sed -n 's/Package: \(kernel-image-2.2.*-mac\)$/\1/p' \ /bin/sed -n 's/Package: \(kernel-image-2.2.*-mac\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-m68k/Packages | tail -n 1 \ $MIRROR/dists/$CODENAME/main/binary-m68k/Packages | tail -n 1 \
>> debian-installer+kernel-$DI_CODENAME >> debian-installer+kernel-$DI_CODENAME
# Get the latest 2.4 kernels, except mac # Get the latest 2.4 kernels, except mac
# XXX once m68k gets kernel-image-2.4-<subarch> packages, use those /bin/sed -n 's/Package: \(kernel-image-2.4.*\)$/\1/p' \
# instead.
sed -n 's/Package: \(kernel-image-2.4.*\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-m68k/Packages | tail -n 7 | \ $MIRROR/dists/$CODENAME/main/binary-m68k/Packages | tail -n 7 | \
grep -v mac >> debian-installer+kernel-$DI_CODENAME grep -v mac >> debian-installer+kernel-$DI_CODENAME
@ -188,7 +202,7 @@ cat >> debian-installer+kernel-$DI_CODENAME << EOF
discover1 discover1
EOF EOF
sed -n 's/Package: \(kernel-image-2.4.*\)$/\1/p' \ /bin/sed -n 's/Package: \(kernel-image-2.4.*\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-arm/Packages|tail -n5 \ $MIRROR/dists/$CODENAME/main/binary-arm/Packages|tail -n5 \
>> debian-installer+kernel-$DI_CODENAME >> debian-installer+kernel-$DI_CODENAME

View File

@ -9,86 +9,82 @@
# them into a single list ready for mkisofs to check later # them into a single list ready for mkisofs to check later
MIRROR=$1 MIRROR=$1
ARCH=$2 ARCHES="$2"
SUITE=$3 SUITE=$3
OUT=$4 DI_SUITE=$4
OUT=$5
case $ARCH in for ARCH in $ARCHES
source) do
FILES=`find $MIRROR/dists/$SUITE/ -name Sources.gz` LOCATIONS="$MIRROR/dists/$SUITE/ $MIRROR/dists/$DI_SUITE/"
echo -e "Using MD5 sums from Sources files:\n$FILES" echo "Looking in $LOCATIONS"
zcat -f $FILES | awk -v MIRROR=$MIRROR '
/^Directory:/ { case $ARCH in
DIR = $2 source)
next FILES=`find $LOCATIONS -name Sources.gz`
} echo -e "Using MD5 sums from Sources files:\n$FILES"
/^Files:/ { zcat -f $FILES | awk -v MIRROR=$MIRROR '
in_files = 1 /^Directory:/ {
next DIR = $2
} next
/^ / { }
if (in_files) { /^Files:/ {
gsub("^ ", "", $0) in_files = 1
MD5 = $1 next
SIZE = $2 }
FILE = $3 /^ / {
printf("%s %12s %s/%s/%s\n", MD5, SIZE, MIRROR, DIR, FILE); if (in_files) {
} gsub("^ ", "", $0)
} MD5 = $1
/.*/ { SIZE = $2
if (!length($0)) { FILE = $3
in_files = 0 printf("%s %12s %s/%s/%s\n", MD5, SIZE, MIRROR, DIR, FILE);
next next
} }
}' | sort | uniq >> $OUT }
;; /^[^ ]/ {
alpha|amd64|arm|hppa|i386|ia64|m68k|mips|mipsel|powerpc|s390|sparc) in_files = 0
FILES=`find $MIRROR/dists/$SUITE/ -name Packages -o -name Packages.gz | grep binary-$ARCH` FILE = ""
echo -e "Using MD5 sums from Packages files:\n$FILES" DIR = ""
zcat -f $FILES | awk -v MIRROR=$MIRROR ' }' | sort | uniq >> $OUT
/^Filename:/ { ;;
FILE = $2 alpha|amd64|arm|hppa|i386|ia64|m68k|mips|mipsel|powerpc|s390|sparc)
} FILES=`find $LOCATIONS -name Packages.gz | grep binary-$ARCH`
/^Size:/ { echo -e "Using MD5 sums from Packages files:\n$FILES"
SIZE = $2 zcat -f $FILES | awk -v MIRROR=$MIRROR '
} /^Filename:/ {
/^MD5sum:/ { FILE = $2
MD5 = $2 }
printf("%s %12d %s/%s\n", MD5, SIZE, MIRROR, FILE) /^Size:/ {
}' | sort | uniq >> $OUT SIZE = $2
case $SUITE in }
woody) /^MD5sum:/ {
# Use the old boot-floppies images MD5 = $2
FILE=$MIRROR/dists/$SUITE/main/disks-$ARCH/current/md5sum.txt printf("%s %12d %s/%s\n", MD5, SIZE, MIRROR, FILE)
echo "Using MD5 sums from boot-floppies: $FILE" }' | sort | uniq >> $OUT
LOC=dists/$SUITE/main/disks-$ARCH/current # Use the new D-I images. Do NOT use the "current"
for ENTRY in `cat $FILE | sed 's/ /:/g'` # link; it causes problems with overlaid files...
do for VER in $MIRROR/dists/$DI_SUITE/main/installer-$ARCH/*
PATH=`echo $ENTRY | /bin/sed "s?^.*:\./?$MIRROR/$LOC/?g"` do
MD5=`echo $ENTRY | /bin/sed 's/:.*$//g'` if [ -d $VER ] && [ ! -L $VER ] ; then
SIZE=`/usr/bin/stat -c %s $PATH` FILE=$VER/images/MD5SUMS
printf '%s %12.12s %s\n' $MD5 $SIZE $PATH echo "Using MD5 sums from d-i: $FILE"
done | sort | uniq >> $OUT LOC=dists/$DI_SUITE/main/installer-$ARCH/`basename $VER`/images
;; for ENTRY in `cat $FILE | sed 's/ /:/g'`
*) do
# Use the new D-I images PATH=`echo $ENTRY | /bin/sed "s?^.*:\./?$MIRROR/$LOC/?g"`
FILE=$MIRROR/dists/$SUITE/main/installer-$ARCH/current/images/MD5SUMS MD5=`echo $ENTRY | /bin/sed 's/:.*$//g'`
echo "Using MD5 sums from d-i: $FILE" SIZE=`/usr/bin/stat -c %s $PATH`
LOC=dists/$SUITE/main/installer-$ARCH/current/images printf '%s %12.12s %s\n' $MD5 $SIZE $PATH
for ENTRY in `cat $FILE | sed 's/ /:/g'` done | sort | uniq >> $OUT
do fi
PATH=`echo $ENTRY | /bin/sed "s?^.*:\./?$MIRROR/$LOC/?g"` done
MD5=`echo $ENTRY | /bin/sed 's/:.*$//g'` ;;
SIZE=`/usr/bin/stat -c %s $PATH` *)
printf '%s %12.12s %s\n' $MD5 $SIZE $PATH echo "Unknown arch/source $ARCH!"
done | sort | uniq >> $OUT exit 1
;; ;;
esac esac
;; done
*)
echo "Unknown arch/source $ARCH!"
exit 1
;;
esac
exit 0 exit 0

50
sarge/tools/imagesums Executable file
View File

@ -0,0 +1,50 @@
#!/bin/bash
cd $1
:> MD5SUMS
:> SHA1SUMS
echo "Generating checksums from files in $1"
case $DOJIGDO in
0)
for file in `find * -name \*.iso -o -name \*.raw`
do
md5sum $file >> MD5SUMS
sha1sum $file >> SHA1SUMS
done
;;
1|2)
for file in `find * -name \*.jigdo`
do
iso=${file%%.jigdo}.iso
grep -q $iso MD5SUMS
if [ $? -ne 0 ] ; then
MD5=`zcat -f $file | awk '/Image Hex MD5Sum/ {print $5}'`
if [ "$MD5"x != ""x ] ; then
echo "$MD5 $iso" >> MD5SUMS
else
echo "Jigdo file does not contain the Image MD5, calculating by hand"
md5sum $iso >> MD5SUMS
fi
fi
grep -q $iso SHA1SUMS
if [ $? -ne 0 ] ; then
SHA1=`zcat -f $file | awk '/Image Hex SHA1Sum/ {print $5}'`
if [ "$SHA1"x != ""x ] ; then
echo "$SHA1 $iso" >> SHA1SUMS
else
echo "Jigdo file does not contain the Image SHA1, calculating by hand"
sha1sum $iso >> SHA1SUMS
fi
fi
done
;;
*)
echo "DOJIGDO not defined!"
exit 1
;;
esac

View File

@ -15,7 +15,8 @@ MIRROR=$6
MKISOFS=$7 MKISOFS=$7
MKISOFS_OPTS=$8 MKISOFS_OPTS=$8
JIGDO_OPTS=$9 JIGDO_OPTS=$9
JIGDO_CLEANUP=$10 shift
JIGDO_CLEANUP=$9
if [ "$CD"x = ""x ] ; then if [ "$CD"x = ""x ] ; then
echo "Generating the $ARCH iso/jigdo images ..." echo "Generating the $ARCH iso/jigdo images ..."
@ -37,6 +38,7 @@ do
opts=`cat $DIR/$n.mkisofs_opts` opts=`cat $DIR/$n.mkisofs_opts`
volid=`cat $DIR/$n.volid` volid=`cat $DIR/$n.volid`
relname=`echo $DEBVERSION | sed -e 's/[. ]//g'` relname=`echo $DEBVERSION | sed -e 's/[. ]//g'`
DISKINFO=`cat $DIR/$n.diskinfo`
if [ $ARCH = "source" ] ; then if [ $ARCH = "source" ] ; then
OUTFILE="debian-$relname-$ARCH-$n" OUTFILE="debian-$relname-$ARCH-$n"
@ -47,20 +49,31 @@ do
# Clean up any old files # Clean up any old files
rm -f $OUT/$OUTFILE.raw $OUT/$OUTFILE.jigdo $OUT/$OUTFILE.template rm -f $OUT/$OUTFILE.raw $OUT/$OUTFILE.jigdo $OUT/$OUTFILE.template
date
# Actually make the ISO/jigdo images. Long command lines # Actually make the ISO/jigdo images. Long command lines
# here... :-( # here... :-(
case $DOJIGDO in case $DOJIGDO in
0) # No jigdo files, just straight ISO 0) # No jigdo files, just straight ISO
echo $MKISOFS $MKISOFS_OPTS -V "$volid" -o $OUT/$OUTFILE.raw $opts CD$n
$MKISOFS $MKISOFS_OPTS -V "$volid" -o $OUT/$OUTFILE.raw $opts CD$n $MKISOFS $MKISOFS_OPTS -V "$volid" -o $OUT/$OUTFILE.raw $opts CD$n
;; ;;
1) # jigdo files _and_ ISO 1) # jigdo files _and_ ISO
echo $MKISOFS $MKISOFS_OPTS -V "$volid" \
-o $OUT/$OUTFILE.raw \
-jigdo-jigdo $OUT/$OUTFILE.jigdo \
-jigdo-template $OUT/$OUTFILE.template \
-jigdo-map Debian=$MIRROR/ \
-jigdo-exclude boot$n \
-md5-list $DIR/md5-check \
$JIGDO_OPTS $opts CD$n
$MKISOFS $MKISOFS_OPTS -V "$volid" \ $MKISOFS $MKISOFS_OPTS -V "$volid" \
-o $OUT/$OUTFILE.raw \ -o $OUT/$OUTFILE.raw \
-jigdo-jigdo $OUT/$OUTFILE.jigdo -jigdo-jigdo $OUT/$OUTFILE.jigdo \
-jigdo-template $OUT/$OUTFILE.template -jigdo-template $OUT/$OUTFILE.template \
-jigdo-map Debian=$MIRROR/ \ -jigdo-map Debian=$MIRROR/ \
-jigdo-exclude boot$n \ -jigdo-exclude boot$n \
-md5-list $DIR/md5-check \ -md5-list $DIR/md5-check \
@ -68,8 +81,16 @@ do
;; ;;
2) # jigdo only, no ISO 2) # jigdo only, no ISO
echo $MKISOFS $MKISOFS_OPTS -V "$volid" \
-o /dev/null \
-jigdo-jigdo $OUT/$OUTFILE.jigdo \
-jigdo-template $OUT/$OUTFILE.template \
-jigdo-map Debian=$MIRROR/ \
-jigdo-exclude boot$n \
-md5-list $DIR/md5-check \
$JIGDO_OPTS $opts CD$n
$MKISOFS $MKISOFS_OPTS -V "$volid" \ $MKISOFS $MKISOFS_OPTS -V "$volid" \
-o /dev/null -v \ -o /dev/null \
-jigdo-jigdo $OUT/$OUTFILE.jigdo \ -jigdo-jigdo $OUT/$OUTFILE.jigdo \
-jigdo-template $OUT/$OUTFILE.template \ -jigdo-template $OUT/$OUTFILE.template \
-jigdo-map Debian=$MIRROR/ \ -jigdo-map Debian=$MIRROR/ \
@ -84,7 +105,7 @@ do
$JIGDO_CLEANUP $OUT/$OUTFILE.jigdo \ $JIGDO_CLEANUP $OUT/$OUTFILE.jigdo \
$OUTFILE.iso $DIR/CD$n \ $OUTFILE.iso $DIR/CD$n \
"`echo "$JIGDOTEMPLATEURL" | sed -e 's|%ARCH%|$ARCH|g'`$OUTFILE.template" \ "`echo "$JIGDOTEMPLATEURL" | sed -e 's|%ARCH%|$ARCH|g'`$OUTFILE.template" \
$BINDISKINFOND \ "$DISKINFO" \
$JIGDOFALLBACKURLS $JIGDOFALLBACKURLS
fi fi
done done

View File

@ -171,7 +171,7 @@ done
# Nasty hack - we may need to look at extra override files from sid. # Nasty hack - we may need to look at extra override files from sid.
# See if the extra override exists; if not redirect. # See if the extra override exists; if not redirect.
EXTRA_CODENAME=$CODENAME EXTRA_CODENAME=$CODENAME
if [ ! -e $BDIR/indices/override.$EXTRA_CODENAME.extra.main.gz ] ; then if [ ! -e $BDIR/indices/override.$EXTRA_CODENAME.extra.main ] ; then
EXTRA_CODENAME=sid EXTRA_CODENAME=sid
fi fi
cat >$PREFIX.generate-binary <<EOF cat >$PREFIX.generate-binary <<EOF
@ -246,7 +246,8 @@ fi
# Creating the indices directory # Creating the indices directory
if [ ! -d "$BDIR/indices" ]; then if [ ! -d "$BDIR/indices" ]; then
mkdir $BDIR/indices mkdir $BDIR/indices
cp $MIRROR/indices/* $BDIR/indices/ cp -av $MIRROR/indices/*"$CODENAME"* $BDIR/indices/
cp -av $MIRROR/indices/*md5* $BDIR/indices/
if [ -n "$LOCALDEBS" -a -d $LOCALDEBS/indices ]; then if [ -n "$LOCALDEBS" -a -d $LOCALDEBS/indices ]; then
cp $LOCALDEBS/indices/* $BDIR/indices/ cp $LOCALDEBS/indices/* $BDIR/indices/
fi fi
@ -267,7 +268,7 @@ if [ ! -d "$BDIR/indices" ]; then
fi fi
if [ -n "$NONUS" -a ! -d "$BDIR/indices-non-US" ]; then if [ -n "$NONUS" -a ! -d "$BDIR/indices-non-US" ]; then
mkdir $BDIR/indices-non-US mkdir $BDIR/indices-non-US
cp $NONUS/indices-non-US/* $BDIR/indices-non-US/ cp -av $NONUS/indices-non-US/* $BDIR/indices-non-US/
gunzip -f $BDIR/indices-non-US/*.gz gunzip -f $BDIR/indices-non-US/*.gz
for SECT in `echo $SECTIONSNONUS | sed -e 's#non-US/##g'`; do for SECT in `echo $SECTIONSNONUS | sed -e 's#non-US/##g'`; do
touch $BDIR/indices-non-US/override.$CODENAME.$SECT touch $BDIR/indices-non-US/override.$CODENAME.$SECT

View File

@ -6,7 +6,7 @@
# This script will create the Sources.gz files # This script will create the Sources.gz files
# First arg = directory of the CD # First arg = directory of the CD
set -e #set -e
SDIR=$TDIR/$CODENAME-src SDIR=$TDIR/$CODENAME-src
PREFIX=`echo $1 | sed "s?$SDIR/CD?$SDIR/?"` PREFIX=`echo $1 | sed "s?$SDIR/CD?$SDIR/?"`
@ -135,7 +135,7 @@ if [ ! -d "$SDIR/indices" ]; then
fi fi
if [ -n "$NONUS" -a ! -d "$SDIR/indices-non-US" ]; then if [ -n "$NONUS" -a ! -d "$SDIR/indices-non-US" ]; then
mkdir $SDIR/indices-non-US mkdir $SDIR/indices-non-US
cp $NONUS/indices-non-US/* $SDIR/indices-non-US/ $NONUS/indices-non-US/* $SDIR/indices-non-US/
gunzip -f $SDIR/indices-non-US/*.gz gunzip -f $SDIR/indices-non-US/*.gz
for SECT in `echo $SECTIONSNONUS | sed -e 's#non-US/##g'`; do for SECT in `echo $SECTIONSNONUS | sed -e 's#non-US/##g'`; do
touch $SDIR/indices-non-US/override.$CODENAME.$SECT touch $SDIR/indices-non-US/override.$CODENAME.$SECT

View File

@ -14,39 +14,70 @@ set -e
# Configuration goes here. # Configuration goes here.
# Where is your mirror? # Where is your mirror?
MIRROR=${MIRROR:-/mirror/debian} MIRROR_NORM=/org/cdbuilder.debian.org/src/ftp/debian
MIRROR_AMD64=/org/cdbuilder.debian.org/src/ftp/debian-amd64/debian
# If you have a non-US mirror, where is it? Leave blank if you don't have one. # If you have a non-US mirror, where is it? Leave blank if you don't have one.
NONUS=${NONUS:-/mirror/debian-non-US} # NONUS=${NONUS:-/mirror/debian-non-US}
# Do you want non-free? 1 for yes, 0 for no # Do you want non-free? 1 for yes, 0 for no
#NONFREE=1 NONFREE=0
# What release version is this? # What release version is this?
VER=3.0r3 VER=3.1r7
# Is this an official CD?
OFFICIAL=Official
# OFFICIAL="Unofficial snapshot"
# Path to use with mkisofs/mkhybrid # Path to use with mkisofs/mkhybrid
MKISOFS=${MKISOFS:-"mkhybrid"} #MKISOFS=${MKISOFS:-"mkhybrid"}
MKISOFS=mkisofs-jte MKISOFS=$PWD/../mkisofs/usr/bin/mkisofs
# Use JTE extensions to mkisofs to make jigdo files? # Use JTE extensions to mkisofs to make jigdo files?
JTE=1 JTE=1
# The working directory to use. MUST be on the same partition as the mirror. # The working directory to use. MUST be on the same partition as the mirror.
TDIR=/mirror/debian-cd TDIR=/org/cdbuilder.debian.org/src/deb-cd/tmp/sarge-update/cd-work
# Building woody cd set ... # Building woody cd set ...
CODENAME=woody CODENAME=sarge
# Path where the images will be written # Path where the images will be written
OUT=/mirror/woody-update/r3 OUT=/org/cdbuilder.debian.org/src/deb-cd/tmp/sarge-update/cd-out
# Location(s) for the snapshot(s)
SNAPSHOT='Debian=http://us.cdimage.debian.org/cdimage/snapshot/Debian/ --try-last'
# Type of disc image, cd or dvd (lower case)
if [ "$1"x = ""x ] ; then
TYPE=cd
else
TYPE=$1
fi
case $TYPE in
cd|CD)
TYPE=cd
TYPEUP=CD;;
dvd|DVD)
TYPE=dvd
TYPEUP=DVD;;
*)
echo "Specify a disk type..."
exit 1;;
esac
# Location of the diff file to use to determine the changes. If you leave # Location of the diff file to use to determine the changes. If you leave
# this blank, we'll try to determine the changes from the ChangeLog files, # this blank, we'll try to determine the changes from the ChangeLog files,
# which is probably less accurate. # which is probably less accurate.
DIFF=/mirror/lists/$CODENAME/r0-r3.diff #~/r3.diff DIFF=/home/deb-cd/r0-r7.diff.full
if [ "$TYPE" = "cd" ] ; then
CDSIZE=610 # megabytes, leaving space for metadata
else
CDSIZE=4300 # megabytes, leaving space for metadata
fi
CDSIZE=620 # megabytes, leaving space for metadata
REL=Debian"$VER" REL=Debian"$VER"
CLOG=dists/$CODENAME/ChangeLog CLOG=dists/$CODENAME/ChangeLog
NUCLOG=dists/$CODENAME/non-US/ChangeLog NUCLOG=dists/$CODENAME/non-US/ChangeLog
@ -58,7 +89,17 @@ VERBOSE=2
GRAB_MD5=$BASEDIR/tools/grab_md5 GRAB_MD5=$BASEDIR/tools/grab_md5
export VERBOSE BASEDIR SECTS export VERBOSE BASEDIR SECTS
ARCHLIST="alpha arm hppa i386 ia64 m68k mips mipsel powerpc s390 sparc src" # all dealt with specially FIRSTVER=`echo $VER | sed 's?r.*$?r0?g'`
VERSPACE=`echo $VER | sed 's?r? r?g'`
CAPCODE=`perl -e "print ucfirst("$CODENAME")"`
export FIRSTVER VERSPACE CAPCODE
if [ "$ARCHLIST"x = ""x ] ; then
ARCHLIST="alpha arm hppa i386 ia64 m68k mips mipsel powerpc s390 sparc source" # amd64 # all dealt with specially
else
ARCHLIST=$@
fi
export TDIR NONFREE NONUS VER MIRROR CODENAME OUT BASEDIR export TDIR NONFREE NONUS VER MIRROR CODENAME OUT BASEDIR
@ -77,8 +118,8 @@ create_control_files () {
for ARCH in $ARCHES for ARCH in $ARCHES
do do
case "$ARCH" in case "$ARCH" in
src) source)
echo " src" echo " source"
for SECT in $SECTS for SECT in $SECTS
do do
mkdir -p $CDDIR/dists/$CODENAME/$SECT/source mkdir -p $CDDIR/dists/$CODENAME/$SECT/source
@ -96,9 +137,9 @@ create_control_files () {
mkdir -p $CDDIR/dists/$CODENAME/$SECT/binary-$ARCH mkdir -p $CDDIR/dists/$CODENAME/$SECT/binary-$ARCH
mkdir -p $CDDIR/dists/$CODENAME/non-US/$SECT/binary-$ARCH mkdir -p $CDDIR/dists/$CODENAME/non-US/$SECT/binary-$ARCH
done done
ARCH=$ARCH $scanpackages scan $CDDIR > /dev/null 2>&1 ARCH=$ARCH $scanpackages scan $CDDIR >/dev/null 2>&1
ARCH=$ARCH $scanpackages -noPackages.cd install $CDDIR > /dev/null 2>&1 ARCH=$ARCH $scanpackages -noPackages.cd install $CDDIR >/dev/null 2>&1
rm -f $CDDIR/*.Packages* #>/dev/null 2>&1 rm -f $CDDIR/*.Packages* >/dev/null 2>&1
;; ;;
esac esac
done done
@ -141,19 +182,31 @@ make_cd () {
create_control_files CD$CDNUM $THISARCH create_control_files CD$CDNUM $THISARCH
echo " Creating image for CD$CDNUM ($SRCFILES source files, $ARCHFILES $ARCH debs, $ALLFILES all debs)" echo " Creating image for CD$CDNUM ($SRCFILES source files, $ARCHFILES $ARCH debs, $ALLFILES all debs)"
echo -n " " echo -n " "
if [ ! -d $OUT/$THISARCH/iso-$TYPE ] ; then
mkdir -p $OUT/$THISARCH/iso-$TYPE
fi
if [ $JTE = 1 ] ; then if [ $JTE = 1 ] ; then
${MKISOFS} -J -r -V "Debian $VER update CD" -o \ if [ ! -d $OUT/$THISARCH/jigdo-$TYPE ] ; then
/dev/null \ mkdir -p $OUT/$THISARCH/jigdo-$TYPE
-jigdo-jigdo $OUT/$CODENAME-update-$THISARCH-$THISNUM.jigdo \ fi
-jigdo-template $OUT/$CODENAME-update-$THISARCH-$THISNUM.template \ ${MKISOFS} -J -r -V "Debian $VER update" -o \
$OUT/$THISARCH/iso-$TYPE/debian-update-$VER-$THISARCH-$THISNUM.iso \
-jigdo-jigdo $OUT/$THISARCH/jigdo-$TYPE/debian-update-$VER-$THISARCH-$THISNUM.jigdo \
-jigdo-template $OUT/$THISARCH/jigdo-$TYPE/debian-update-$VER-$THISARCH-$THISNUM.template \
-jigdo-map Debian=$MIRROR/ \ -jigdo-map Debian=$MIRROR/ \
-jigdo-map Non-US=$NONUS/ \ -jigdo-map Non-US=$NONUS/ \
-jigdo-force-md5 /pool/ \ -jigdo-force-md5 /pool/ \
-md5-list $UPD/md5-check \ -md5-list $UPD/md5-check \
$UPD/CD$CDNUM 2>&1 | grep "extents written" $UPD/CD$CDNUM 2>&1 | grep "extents written"
$BASEDIR/tools/jigdo_cleanup \
$OUT/$THISARCH/jigdo-$TYPE/debian-update-$VER-$THISARCH-$THISNUM.jigdo \
debian-update-$VER-$THISARCH-$THISNUM.iso \
$OUT debian-update-$VER-$THISARCH-$THISNUM.template \
"Debian GNU/Linux $VERSPACE - $OFFICIAL $THISARCH $FIRSTVER->$VER update $TYPEUP #$THISNUM"
echo $SNAPSHOT >> $OUT/$THISARCH/jigdo-$TYPE/debian-update-$VER-$THISARCH-$THISNUM.jigdo
else else
${MKISOFS} -J -r -V "Debian $VER update CD" -o \ ${MKISOFS} -J -r -V "Debian $VER update CD" -o \
$OUT/$CODENAME-update-$THISARCH-$THISNUM.raw \ $OUT/iso-$TYPE/$CODENAME-update-$THISARCH-$THISNUM.raw \
$UPD/CD$CDNUM 2>&1 | grep "extents written" $UPD/CD$CDNUM 2>&1 | grep "extents written"
fi fi
} }
@ -161,10 +214,9 @@ make_cd () {
echo Cleaning up echo Cleaning up
rm -rf $UPD rm -rf $UPD
mkdir $UPD mkdir -p $UPD
CDNUM=1 CDNUM=1
cd $MIRROR
echo Creating file list echo Creating file list
if [ ! -e $DIFF ] ; then if [ ! -e $DIFF ] ; then
@ -188,6 +240,12 @@ for THISARCH in $ARCHLIST
do do
THISNUM=0 THISNUM=0
if [ $THISARCH = amd64 ] ; then
MIRROR=$MIRROR_AMD64
else
MIRROR=$MIRROR_NORM
fi
rm -f $UPD/md5-check rm -f $UPD/md5-check
$GRAB_MD5 $MIRROR $THISARCH $CODENAME $UPD/md5-check $GRAB_MD5 $MIRROR $THISARCH $CODENAME $UPD/md5-check
if [ "$NONUS"x != ""x ] ; then if [ "$NONUS"x != ""x ] ; then
@ -200,7 +258,7 @@ do
echo echo
cd $MIRROR cd $MIRROR
THISNUM=$((THISNUM + 1)) THISNUM=$((THISNUM + 1))
if [ $THISARCH = "src" ] ; then if [ $THISARCH = "source" ] ; then
echo "Creating CD$CDNUM for source (part $THISNUM)" echo "Creating CD$CDNUM for source (part $THISNUM)"
else else
echo "Creating CD$CDNUM for binary-$THISARCH (part $THISNUM)" echo "Creating CD$CDNUM for binary-$THISARCH (part $THISNUM)"
@ -223,7 +281,7 @@ do
fi fi
case "$THISARCH" in case "$THISARCH" in
src) source)
case "$file" in case "$file" in
*.gz|*.dsc) *.gz|*.dsc)
copy_file $UPD/CD$CDNUM $file copy_file $UPD/CD$CDNUM $file